export interface IZ64Offsets {
    FACE_TEXTURES: number;
    HEADER: number;
    DL_WAIST: number;
    DL_RTHIGH: number;
    DL_RSHIN: number;
    DL_RFOOT: number;
    DL_LTHIGH: number;
    DL_LSHIN: number;
    DL_LFOOT: number;
    DL_HEAD: number;
    DL_HAT: number;
    DL_COLLAR: number;
    DL_LSHOULDER: number;
    DL_LFOREARM: number;
    DL_RSHOULDER: number;
    DL_RFOREARM: number;
    DL_TORSO: number;
    DL_LHAND: number;
    DL_LFIST: number;
    DL_LHAND_BOTTLE: number;
    DL_RHAND: number;
    DL_RFIST: number;
    DL_SWORD_SHEATH_1: number;
    DL_SWORD_SHEATH_2: number;
    DL_SWORD_SHEATH_3: number;
    DL_SWORD_HILT_1: number;
    DL_SWORD_HILT_2: number;
    DL_SWORD_HILT_3: number;
    DL_SWORD_BLADE_1: number;
    DL_SWORD_BLADE_2: number;
    DL_SWORD_BLADE_3: number;
    DL_SHIELD_1: number;
    DL_SHIELD_2: number;
    DL_SHIELD_3: number;
    DL_BOTTLE: number;
    DL_OCARINA_2: number;
    DL_DEKU_STICK: number;
    DL_BOW: number;
    DL_BOW_STRING: number;
    DL_HOOKSHOT: number;
    DL_HOOKSHOT_CHAIN: number;
    DL_HOOKSHOT_HOOK: number;
    DL_HOOKSHOT_AIM: number;
    DL_FPS_RFOREARM: number;
    DL_FPS_HOOKSHOT: number;
    DL_BOOMERANG: number;
    DL_SLINGSHOT: number;
    DL_SLINGSHOT_STRING: number;
    DL_OCARINA_FAIRY: number;
    DL_GORON_BRACELET: number;
    DL_MASK_SKULL: number;
    DL_MASK_SPOOKY: number;
    DL_MASK_KEATON: number;
    DL_MASK_TRUTH: number;
    DL_MASK_GORON: number;
    DL_MASK_ZORA: number;
    DL_MASK_GERUDO: number;
    DL_MASK_BUNNY: number;
    DL_SWORD_BLADE_3_BROKEN: number;
    DL_BLADEBREAK: number;
    DL_HAMMER: number;
    DL_UPGRADE_LFOREARM: number;
    DL_UPGRADE_LHAND: number;
    DL_UPGRADE_LFIST: number;
    DL_UPGRADE_RFOREARM: number;
    DL_UPGRADE_RHAND: number;
    DL_UPGRADE_RFIST: number;
    DL_BOOT_LIRON: number;
    DL_BOOT_RIRON: number;
    DL_BOOT_LHOVER: number;
    DL_BOOT_RHOVER: number;
    DL_FPS_LFOREARM: number;
    DL_FPS_LHAND: number;
    DL_FPS_RHAND: number;
    DL_DEKU_MASK: number;
    DL_GORON_MASK: number;
    DL_ZORA_MASK: number;
    DL_DEITY_MASK: number;
    DL_BOTTLE_FILLING: number;
    DL_BOTTLE_EMPTY: number;
    DL_SWORD_FAIRY: number;
    DL_DEKU_GUARD: number;
    DL_PIPE_MOUTH: number;
    DL_PIPE_RIGHT: number;
    DL_PIPE_UP: number;
    DL_PIPE_DOWN: number;
    DL_PIPE_LEFT: number;
    DL_PIPE_A: number;
    DL_STEM_RIGHT: number;
    DL_STEM_LEFT: number;
    DL_PETAL_PARTICLE: number;
    DL_PETAL_PROPELLER_CLOSED: number;
    DL_FLOWER_CENTER_CLOSED: number;
    DL_FLOWER_PROPELLER_OPEN: number;
    DL_FLOWER_CENTER_OPEN: number;
    DL_PAD_WOOD: number;
    DL_PAD_GRASS: number;
    DL_PAD_OPENING: number;
    DL_FIRE_PUNCH: number;
    DL_DRUM_STRAP: number;
    DL_DRUM_UP: number;
    DL_DRUM_LEFT: number;
    DL_DRUM_RIGHT: number;
    DL_DRUM_DOWN: number;
    DL_DRUM_A: number;
    DL_SHIELD_PRONE: number;
    DL_BODY_SHIELD: number;
    DL_CURLED: number;
    DL_SPIKES: number;
    DL_INIT_FIRE: number;
    DL_FIRE_ROLL: number;
    DL_LFIN: number;
    DL_LFIN_SWIM: number;
    DL_RFIN: number;
    DL_RFIN_SWIM: number;
    DL_GUITAR_HAND: number;
    DL_FIN_SHIELD: number;
    DL_MAGIC_BARRIER: number;
    DL_SWORD_DEITY: number;
    DL_ERROR_CUBE: number;
    DL_SWORD1_SHEATHED: number;
    DL_SWORD2_SHEATHED: number;
    DL_SWORD3_SHEATHED: number;
    DL_SHIELD1_BACK: number;
    DL_SHIELD2_BACK: number;
    DL_SHIELD3_BACK: number;
    DL_SWORD1_SHIELD1: number;
    DL_SWORD1_SHIELD2: number;
    DL_SWORD1_SHIELD3: number;
    DL_SWORD2_SHIELD1: number;
    DL_SWORD2_SHIELD2: number;
    DL_SWORD2_SHIELD3: number;
    DL_SWORD3_SHIELD1: number;
    DL_SWORD3_SHIELD2: number;
    DL_SWORD3_SHIELD3: number;
    DL_LFIST_SWORD1: number;
    DL_LFIST_SWORD2: number;
    DL_LFIST_SWORD3: number;
    DL_LFIST_HAMMER: number;
    DL_RFIST_SHIELD_1: number;
    DL_RFIST_SHIELD_2: number;
    DL_RFIST_SHIELD_3: number;
    DL_RFIST_BOW: number;
    DL_RFIST_HOOKSHOT: number;
    DL_RHAND_OCARINA_TIME: number;
    DL_FPS_RHAND_BOW: number;
    DL_FPS_LHAND_HOOKSHOT: number;
    DL_SWORD1_SHIELD1_SHEATH: number;
    DL_SWORD1_SHIELD2_SHEATH: number;
    DL_SWORD1_SHIELD3_SHEATH: number;
    DL_SWORD2_SHIELD1_SHEATH: number;
    DL_SWORD2_SHIELD2_SHEATH: number;
    DL_SWORD2_SHIELD3_SHEATH: number;
    DL_SWORD3_SHIELD1_SHEATH: number;
    DL_SWORD3_SHIELD2_SHEATH: number;
    DL_SWORD3_SHIELD3_SHEATH: number;
    DL_LFIST_SWORD3_BROKEN: number;
    DL_SHIELD1_ODD: number;
    DL_LFIST_BOOMERANG: number;
    DL_RFIST_SLINGSHOT: number;
    DL_RHAND_OCARINA_FAIRY: number;
    DL_FPS_RARM_SLINGSHOT: number;
    DL_PEDESTAL_SWORD: number;
    DL_LFIST_SWORD4: number;
    DL_FPS_RARM_BOW: number;
    DL_FPS_RARM_HOOKSHOT: number;
    DL_ZORA_GUITAR: number;
    DL_SHIELD_MIRROR_FACE: number;
    DL_SHIELD_MIRROR_COMBINED: number;
    DL_DEKU_MASK_SCREAM: number;
    DL_GORON_MASK_SCREAM: number;
    DL_ZORA_MASK_SCREAM: number;
    DL_DEITY_MASK_SCREAM: number;
    DL_DEKU_MASK_GI: number;
    DL_GORON_MASK_GI: number;
    DL_ZORA_MASK_GI: number;
    DL_DEITY_MASK_GI: number;
    DL_GORON_ROLL_1: number;
    DL_GORON_ROLL_2: number;
    DL_CENTER_FLOWER_PROPELLER_OPEN: number;
    DL_CENTER_FLOWER_PROPELLER_CLOSED: number;
    DL_LHAND_SWORD_DEITY: number;
    DL_UNK62: number;
    DL_UNK63: number;
    DL_UNK64: number;
    DL_UNK65: number;
    DL_UNK66: number;
    DL_UNK67: number;
    DL_UNK68: number;
    DL_UNK69: number;
    DL_UNK70: number;
    DL_UNK71: number;
    DL_UNK72: number;
    DL_UNK73: number;
    DL_UNK74: number;
    DL_UNK75: number;
    DL_UNK76: number;
    DL_UNK77: number;
    DL_UNK78: number;
    DL_UNK79: number;
    DL_UNK80: number;
    DL_UNK81: number;
    DL_UNK82: number;
    DL_UNK83: number;
    DL_UNK84: number;
    DL_UNK85: number;
    DL_UNK86: number;
    DL_UNK87: number;
    DL_UNK88: number;
    DL_UNK89: number;
    DL_UNK90: number;
    DL_UNK91: number;
    DL_UNK92: number;
    DL_UNK93: number;
    DL_UNK94: number;
    DL_UNK95: number;
    DL_UNK96: number;
    DL_UNK97: number;
    DL_UNK98: number;
    DL_UNK99: number;
    DL_UNK100: number;
    DL_UNK101: number;
    DL_UNK102: number;
    DL_UNK103: number;
    DL_UNK104: number;
    DL_UNK105: number;
    DL_UNK106: number;
    DL_UNK107: number;
    DL_UNK108: number;
    DL_UNK109: number;
    DL_UNK110: number;
    DL_UNK111: number;
    DL_UNK112: number;
    DL_UNK113: number;
    DL_UNK114: number;
    DL_UNK115: number;
    DL_UNK116: number;
    DL_UNK117: number;
    DL_UNK118: number;
    DL_UNK119: number;
    DL_UNK120: number;
    DL_UNK121: number;
    DL_UNK122: number;
    DL_UNK123: number;
    DL_UNK124: number;
    DL_UNK125: number;
    DL_UNK126: number;
    DL_UNK127: number;
    DL_UNK128: number;
    DL_UNK129: number;
    DL_UNK130: number;
    DL_UNK131: number;
    DL_UNK132: number;
    DL_UNK133: number;
    DL_UNK134: number;
    TEX_EYES: number;
    TEX_MOUTH: number;
    DL_DF: number;
    DF_COMMAND: number;
    SKEL_SECTION: number;
    ZORA_MAGIC_0: number;
    ZORA_MAGIC_1: number;
    MATRIX_SWORD1_BACK: number;
    MATRIX_SWORD2_BACK: number;
    MATRIX_SWORD3_BACK: number;
    MATRIX_SHIELD1_BACK: number;
    MATRIX_SHIELD2_BACK: number;
    MATRIX_SHIELD3_BACK: number;
    MATRIX_SHIELD1_ITEM: number;
    MATRIX_BUNNYHOOD0: number;
    MATRIX_BUNNYHOOD1: number;
    GORON_MAGIC_0: number;
    GORON_MAGIC_1: number;
}
export declare const Z64Offsets: IZ64Offsets;
//# sourceMappingURL=IZ64Offsets.d.ts.map