export const LUT_MAP_ADULT: Map<string, number> = new Map<string, number>();
LUT_MAP_ADULT.set("LUT_DL_WAIST", 0x5090);
LUT_MAP_ADULT.set("LUT_DL_RTHIGH", 0x5098);
LUT_MAP_ADULT.set("LUT_DL_RSHIN", 0x50A0);
LUT_MAP_ADULT.set("LUT_DL_RFOOT", 0x50A8);
LUT_MAP_ADULT.set("LUT_DL_LTHIGH", 0x50B0);
LUT_MAP_ADULT.set("LUT_DL_LSHIN", 0x50B8);
LUT_MAP_ADULT.set("LUT_DL_LFOOT", 0x50C0);
LUT_MAP_ADULT.set("LUT_DL_HEAD", 0x50C8);
LUT_MAP_ADULT.set("LUT_DL_HAT", 0x50D0);
LUT_MAP_ADULT.set("LUT_DL_COLLAR", 0x50D8);
LUT_MAP_ADULT.set("LUT_DL_LSHOULDER", 0x50E0);
LUT_MAP_ADULT.set("LUT_DL_LFOREARM", 0x50E8);
LUT_MAP_ADULT.set("LUT_DL_RSHOULDER", 0x50F0);
LUT_MAP_ADULT.set("LUT_DL_RFOREARM", 0x50F8);
LUT_MAP_ADULT.set("LUT_DL_TORSO", 0x5100);
LUT_MAP_ADULT.set("LUT_DL_LHAND", 0x5108);
LUT_MAP_ADULT.set("LUT_DL_LFIST", 0x5110);
LUT_MAP_ADULT.set("LUT_DL_LHAND_BOTTLE", 0x5118);
LUT_MAP_ADULT.set("LUT_DL_RHAND", 0x5120);
LUT_MAP_ADULT.set("LUT_DL_RFIST", 0x5128);
LUT_MAP_ADULT.set("LUT_DL_SWORD_SHEATH", 0x5130);
LUT_MAP_ADULT.set("LUT_DL_SWORD_HILT", 0x5138);
LUT_MAP_ADULT.set("LUT_DL_SWORD_BLADE", 0x5140);
LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_HILT", 0x5148);
LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_BLADE", 0x5150);
LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_BROKEN", 0x5158);
LUT_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN", 0x5160);
LUT_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR", 0x5168);
LUT_MAP_ADULT.set("LUT_DL_HAMMER", 0x5170);
LUT_MAP_ADULT.set("LUT_DL_BOTTLE", 0x5178);
LUT_MAP_ADULT.set("LUT_DL_BOW", 0x5180);
LUT_MAP_ADULT.set("LUT_DL_OCARINA_TIME", 0x5188);
LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT", 0x5190);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LFOREARM", 0x5198);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LHAND", 0x51A0);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LFIST", 0x51A8);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RFOREARM", 0x51B0);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RHAND", 0x51B8);
LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RFIST", 0x51C0);
LUT_MAP_ADULT.set("LUT_DL_BOOT_LIRON", 0x51C8);
LUT_MAP_ADULT.set("LUT_DL_BOOT_RIRON", 0x51D0);
LUT_MAP_ADULT.set("LUT_DL_BOOT_LHOVER", 0x51D8);
LUT_MAP_ADULT.set("LUT_DL_BOOT_RHOVER", 0x51E0);
LUT_MAP_ADULT.set("LUT_DL_FPS_LFOREARM", 0x51E8);
LUT_MAP_ADULT.set("LUT_DL_FPS_LHAND", 0x51F0);
LUT_MAP_ADULT.set("LUT_DL_FPS_RFOREARM", 0x51F8);
LUT_MAP_ADULT.set("LUT_DL_FPS_RHAND", 0x5200);
LUT_MAP_ADULT.set("LUT_DL_FPS_HOOKSHOT", 0x5208);
LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_CHAIN", 0x5210);
LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_HOOK", 0x5218);
LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_AIM", 0x5220);
LUT_MAP_ADULT.set("LUT_DL_BOW_STRING", 0x5228);
LUT_MAP_ADULT.set("LUT_DL_BLADEBREAK", 0x5230);
LUT_MAP_ADULT.set("LUT_DL_SWORD_SHEATHED", 0x5238);
LUT_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN_BACK", 0x5258);
LUT_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR_BACK", 0x5268);
LUT_MAP_ADULT.set("LUT_DL_SWORD_SHIELD_HYLIAN", 0x5278);
LUT_MAP_ADULT.set("LUT_DL_SWORD_SHIELD_MIRROR", 0x5288);
LUT_MAP_ADULT.set("LUT_DL_SHEATH0_HYLIAN", 0x5298);
LUT_MAP_ADULT.set("LUT_DL_SHEATH0_MIRROR", 0x52A8);
LUT_MAP_ADULT.set("LUT_DL_LFIST_SWORD", 0x52B8);
LUT_MAP_ADULT.set("LUT_DL_LFIST_LONGSWORD", 0x52D0);
LUT_MAP_ADULT.set("LUT_DL_LFIST_LONGSWORD_BROKEN", 0x52E8);
LUT_MAP_ADULT.set("LUT_DL_LFIST_HAMMER", 0x5300);
LUT_MAP_ADULT.set("LUT_DL_RFIST_SHIELD_HYLIAN", 0x5310);
LUT_MAP_ADULT.set("LUT_DL_RFIST_SHIELD_MIRROR", 0x5320);
LUT_MAP_ADULT.set("LUT_DL_RFIST_BOW", 0x5330);
LUT_MAP_ADULT.set("LUT_DL_RFIST_HOOKSHOT", 0x5340);
LUT_MAP_ADULT.set("LUT_DL_RHAND_OCARINA_TIME", 0x5350);
LUT_MAP_ADULT.set("LUT_DL_FPS_RHAND_BOW", 0x5360);
LUT_MAP_ADULT.set("LUT_DL_FPS_LHAND_HOOKSHOT", 0x5370);
export const MANIFEST_MAP_ADULT: Map<string, number> = new Map<string, number>();
MANIFEST_MAP_ADULT.set("Sheath", 0x19);
MANIFEST_MAP_ADULT.set("FPS.Hookshot", 0x2A);
MANIFEST_MAP_ADULT.set("Hilt.2", 0x35);
MANIFEST_MAP_ADULT.set("Blade.2", 0x41);
MANIFEST_MAP_ADULT.set("Hookshot.Spike", 0x54);
MANIFEST_MAP_ADULT.set("Hookshot", 0x61);
MANIFEST_MAP_ADULT.set("Fist.L", 0x6C);
MANIFEST_MAP_ADULT.set("Fist.R", 0x77);
MANIFEST_MAP_ADULT.set("FPS.Forearm.L", 0x89);
MANIFEST_MAP_ADULT.set("FPS.Forearm.R", 0x9B);
MANIFEST_MAP_ADULT.set("Gauntlet.Fist.L", 0xAF);
MANIFEST_MAP_ADULT.set("Gauntlet.Fist.R", 0xC3);
MANIFEST_MAP_ADULT.set("Gauntlet.Forearm.L", 0xDA);
MANIFEST_MAP_ADULT.set("Gauntlet.Forearm.R", 0xF1);
MANIFEST_MAP_ADULT.set("Gauntlet.Hand.L", 0x105);
MANIFEST_MAP_ADULT.set("Gauntlet.Hand.R", 0x119);
MANIFEST_MAP_ADULT.set("Bottle.Hand.L", 0x12B);
MANIFEST_MAP_ADULT.set("FPS.Hand.L", 0x13A);
MANIFEST_MAP_ADULT.set("FPS.Hand.R", 0x149);
MANIFEST_MAP_ADULT.set("Bow.String", 0x158);
MANIFEST_MAP_ADULT.set("Bow", 0x160);
MANIFEST_MAP_ADULT.set("Blade.3.Break", 0x172);
MANIFEST_MAP_ADULT.set("Blade.3", 0x17E);
MANIFEST_MAP_ADULT.set("Bottle", 0x189);
MANIFEST_MAP_ADULT.set("Broken.Blade.3", 0x19C);
MANIFEST_MAP_ADULT.set("Foot.2.L", 0x1A9);
MANIFEST_MAP_ADULT.set("Foot.2.R", 0x1B6);
MANIFEST_MAP_ADULT.set("Foot.3.L", 0x1C3);
MANIFEST_MAP_ADULT.set("Foot.3.R", 0x1D0);
MANIFEST_MAP_ADULT.set("Hammer", 0x1DB);
MANIFEST_MAP_ADULT.set("Hilt.3", 0x1E6);
MANIFEST_MAP_ADULT.set("Hookshot.Aiming.Reticule", 0x203);
MANIFEST_MAP_ADULT.set("Hookshot.Chain", 0x216);
MANIFEST_MAP_ADULT.set("Ocarina.2", 0x224);
MANIFEST_MAP_ADULT.set("Shield.2", 0x231);
MANIFEST_MAP_ADULT.set("Shield.3", 0x23E);
MANIFEST_MAP_ADULT.set("Limb 1", 0x249);
MANIFEST_MAP_ADULT.set("Limb 3", 0x254);
MANIFEST_MAP_ADULT.set("Limb 4", 0x25F);
MANIFEST_MAP_ADULT.set("Limb 5", 0x26A);
MANIFEST_MAP_ADULT.set("Limb 6", 0x275);
MANIFEST_MAP_ADULT.set("Limb 7", 0x280);
MANIFEST_MAP_ADULT.set("Limb 8", 0x28B);
MANIFEST_MAP_ADULT.set("Limb 10", 0x297);
MANIFEST_MAP_ADULT.set("Limb 11", 0x2A3);
MANIFEST_MAP_ADULT.set("Limb 12", 0x2AF);
MANIFEST_MAP_ADULT.set("Limb 13", 0x2BB);
MANIFEST_MAP_ADULT.set("Limb 14", 0x2C7);
MANIFEST_MAP_ADULT.set("Limb 15", 0x2D3);
MANIFEST_MAP_ADULT.set("Limb 16", 0x2DF);
MANIFEST_MAP_ADULT.set("Limb 17", 0x2EB);
MANIFEST_MAP_ADULT.set("Limb 18", 0x2F7);
MANIFEST_MAP_ADULT.set("Limb 20", 0x303);
export const TRANSLATION_MAP_ADULT: Map<string, string> = new Map<string, string>();
TRANSLATION_MAP_ADULT.set("LUT_DL_WAIST", "Limb 1");
TRANSLATION_MAP_ADULT.set("LUT_DL_RTHIGH", "Limb 3");
TRANSLATION_MAP_ADULT.set("LUT_DL_RSHIN", "Limb 4");
TRANSLATION_MAP_ADULT.set("LUT_DL_RFOOT", "Limb 5");
TRANSLATION_MAP_ADULT.set("LUT_DL_LTHIGH", "Limb 6");
TRANSLATION_MAP_ADULT.set("LUT_DL_LSHIN", "Limb 7");
TRANSLATION_MAP_ADULT.set("LUT_DL_LFOOT", "Limb 8");
TRANSLATION_MAP_ADULT.set("LUT_DL_HEAD", "Limb 10");
TRANSLATION_MAP_ADULT.set("LUT_DL_HAT", "Limb 11");
TRANSLATION_MAP_ADULT.set("LUT_DL_COLLAR", "Limb 12");
TRANSLATION_MAP_ADULT.set("LUT_DL_LSHOULDER", "Limb 13");
TRANSLATION_MAP_ADULT.set("LUT_DL_LFOREARM", "Limb 14");
TRANSLATION_MAP_ADULT.set("LUT_DL_RSHOULDER", "Limb 16");
TRANSLATION_MAP_ADULT.set("LUT_DL_RFOREARM", "Limb 17");
TRANSLATION_MAP_ADULT.set("LUT_DL_TORSO", "Limb 20");
TRANSLATION_MAP_ADULT.set("LUT_DL_LHAND", "Limb 15");
TRANSLATION_MAP_ADULT.set("LUT_DL_LFIST", "Fist.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_LHAND_BOTTLE", "Bottle.Hand.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_RHAND", "Limb 18");
TRANSLATION_MAP_ADULT.set("LUT_DL_RFIST", "Fist.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_SHEATH", "Sheath");
TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_HILT", "Hilt.2");
TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_BLADE", "Blade.2");
TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_HILT", "Hilt.3");
TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_BLADE", "Blade.3");
TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_BROKEN", "Broken.Blade.3");
TRANSLATION_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN", "Shield.2");
TRANSLATION_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR", "Shield.3");
TRANSLATION_MAP_ADULT.set("LUT_DL_HAMMER", "Hammer");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOTTLE", "Bottle");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOW", "Bow");
TRANSLATION_MAP_ADULT.set("LUT_DL_OCARINA_TIME", "Ocarina.2");
TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT", "Hookshot");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LFOREARM", "Gauntlet.Forearm.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LHAND", "Gauntlet.Hand.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LFIST", "Gauntlet.Fist.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RFOREARM", "Gauntlet.Forearm.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RHAND", "Gauntlet.Hand.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RFIST", "Gauntlet.Fist.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_LIRON", "Foot.2.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_RIRON", "Foot.2.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_LHOVER", "Foot.3.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_RHOVER", "Foot.3.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_LFOREARM", "FPS.Forearm.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_LHAND", "FPS.Hand.L");
TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_RFOREARM", "FPS.Forearm.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_RHAND", "FPS.Hand.R");
TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_HOOKSHOT", "FPS.Hookshot");
TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_CHAIN", "Hookshot.Chain");
TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_HOOK", "Hookshot.Spike");
TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_AIM", "Hookshot.Aiming.Reticule");
TRANSLATION_MAP_ADULT.set("LUT_DL_BOW_STRING", "Bow.String");
TRANSLATION_MAP_ADULT.set("LUT_DL_BLADEBREAK", "Blade.3.Break");