import IMemory from 'modloader64_api/IMemory';
import * as Z64API from '../../API/imports';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
export declare const enum ShieldBitMap {
    DEKU = 3,
    HYLIAN = 2,
    MIRROR_OOT = 1,
    HEROES = 3,
    MIRROR_MM = 2
}
export declare class ShieldsEquipment extends JSONTemplate implements Z64API.Z64.IShields {
    private emulator;
    jsonFields: string[];
    constructor(emulator: IMemory);
    set dekuShield(bool: boolean);
    get dekuShield(): boolean;
    set hylianShield(bool: boolean);
    get hylianShield(): boolean;
    set mirrorShield(bool: boolean);
    get mirrorShield(): boolean;
    get shieldLevel(): Z64API.Z64.Shield;
    set shieldLevel(level: Z64API.Z64.Shield);
}
//# sourceMappingURL=ShieldsEquipment.d.ts.map