"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSpawnWithAddrPointer = exports.markAsRandomizer = exports.setupMM = exports.setupOotDBG = exports.setupOot = exports.Z64_IS_RANDOMIZER = exports.Z64_IS_DEBUG = exports.Z64_GSEGMENTS = exports.Z64_EQUIP_ADDR = exports.Z64_SPAWN_WITH_ADDRESS_POINTER = exports.Z64_DMAROM = exports.Z64_PAUSED = exports.Z64_PLAYER_RAWANIM = exports.Z64_PLAYER_STATE2 = exports.Z64_PLAYER_STATE = exports.Z64_GUI_SHOWN = exports.Z64_RESTRICTION_TABLE = exports.Z64_ENTRANCE_TABLE = exports.Z64_SCENE_TABLE = exports.Z64_OVERLAY_TABLE = exports.Z64_DUNGEON_ITEM_ADDR = exports.Z64_ACTOR_POSITION_SIZE = exports.Z64_ACTOR_POSITION_OFFSET = exports.Z64_ACTOR_ROTATION_SIZE = exports.Z64_ACTOR_ROTATION_OFFSET = exports.Z64_GAME = exports.Z64_PLAYER = exports.Z64_SAVE = exports.Z64_GLOBAL_PTR = void 0;
const MMAliases_1 = require("./MMAliases");
const OotAliases_1 = require("./OotAliases");
function setupOot() {
    exports.Z64_GAME = OotAliases_1.OOT_GAME;
    exports.Z64_SAVE = OotAliases_1.OOT_SAVE;
    exports.Z64_GLOBAL_PTR = OotAliases_1.OOT_GLOBAL_PTR;
    exports.Z64_PLAYER = OotAliases_1.OOT_PLAYER;
    exports.Z64_ACTOR_ROTATION_OFFSET = OotAliases_1.OOT_ACTOR_ROTATION_OFFSET;
    exports.Z64_ACTOR_ROTATION_SIZE = OotAliases_1.OOT_ACTOR_ROTATION_SIZE;
    exports.Z64_ACTOR_POSITION_OFFSET = OotAliases_1.OOT_ACTOR_POSITION_OFFSET;
    exports.Z64_ACTOR_POSITION_SIZE = OotAliases_1.OOT_ACTOR_POSITION_SIZE;
    exports.Z64_DUNGEON_ITEM_ADDR = OotAliases_1.OOT_DUNGEON_ITEM_ADDR;
    exports.Z64_OVERLAY_TABLE = OotAliases_1.OOT_OVERLAY_TABLE;
    exports.Z64_SCENE_TABLE = OotAliases_1.OOT_SCENE_TABLE;
    exports.Z64_ENTRANCE_TABLE = OotAliases_1.OOT_ENTRANCE_TABLE;
    exports.Z64_RESTRICTION_TABLE = OotAliases_1.OOT_RESTRICTION_TABLE;
    exports.Z64_GUI_SHOWN = OotAliases_1.OOT_GUI_SHOWN;
    exports.Z64_PLAYER_STATE = OotAliases_1.OOT_PLAYER_STATE;
    exports.Z64_PLAYER_STATE2 = OotAliases_1.OOT_PLAYER_STATE2;
    exports.Z64_PLAYER_RAWANIM = OotAliases_1.OOT_PLAYER_RAWANIM;
    exports.Z64_PAUSED = OotAliases_1.OOT_PAUSED;
    exports.Z64_DMAROM = OotAliases_1.OOT_DMAROM;
    exports.Z64_IS_DEBUG = false;
    exports.Z64_EQUIP_ADDR = OotAliases_1.OOT_EQUIP_ADDR;
    exports.Z64_GSEGMENTS = OotAliases_1.OOT_GSEGMENTS;
}
exports.setupOot = setupOot;
function setupOotDBG() {
    exports.Z64_GAME = OotAliases_1.OOTDBG_GAME;
    exports.Z64_SAVE = OotAliases_1.OOTDBG_SAVE;
    exports.Z64_GLOBAL_PTR = OotAliases_1.OOTDBG_GLOBAL_PTR;
    exports.Z64_PLAYER = OotAliases_1.OOTDBG_PLAYER;
    exports.Z64_ACTOR_ROTATION_OFFSET = OotAliases_1.OOTDBG_ACTOR_ROTATION_OFFSET;
    exports.Z64_ACTOR_ROTATION_SIZE = OotAliases_1.OOTDBG_ACTOR_ROTATION_SIZE;
    exports.Z64_ACTOR_POSITION_OFFSET = OotAliases_1.OOTDBG_ACTOR_POSITION_OFFSET;
    exports.Z64_ACTOR_POSITION_SIZE = OotAliases_1.OOTDBG_ACTOR_POSITION_SIZE;
    exports.Z64_DUNGEON_ITEM_ADDR = OotAliases_1.OOTDBG_DUNGEON_ITEM_ADDR;
    exports.Z64_OVERLAY_TABLE = OotAliases_1.OOTDBG_OVERLAY_TABLE;
    exports.Z64_SCENE_TABLE = OotAliases_1.OOTDBG_SCENE_TABLE;
    exports.Z64_ENTRANCE_TABLE = OotAliases_1.OOTDBG_ENTRANCE_TABLE;
    exports.Z64_RESTRICTION_TABLE = OotAliases_1.OOTDBG_RESTRICTION_TABLE;
    exports.Z64_GUI_SHOWN = OotAliases_1.OOTDBG_GUI_SHOWN;
    exports.Z64_PLAYER_STATE = OotAliases_1.OOTDBG_PLAYER_STATE;
    exports.Z64_PLAYER_STATE2 = OotAliases_1.OOTDBG_PLAYER_STATE2;
    exports.Z64_PLAYER_RAWANIM = OotAliases_1.OOTDBG_PLAYER_RAWANIM;
    exports.Z64_PAUSED = OotAliases_1.OOTDBG_PAUSED;
    exports.Z64_DMAROM = OotAliases_1.OOTDBG_DMAROM;
    exports.Z64_IS_DEBUG = true;
    exports.Z64_EQUIP_ADDR = OotAliases_1.OOTDBG_EQUIP_ADDR;
    exports.Z64_GSEGMENTS = OotAliases_1.OOTDGB_GSEGMENTS;
}
exports.setupOotDBG = setupOotDBG;
function setupMM() {
    exports.Z64_GAME = MMAliases_1.MM_GAME;
    exports.Z64_SAVE = MMAliases_1.MM_SAVE;
    exports.Z64_GLOBAL_PTR = MMAliases_1.MM_GLOBAL_PTR;
    exports.Z64_PLAYER = MMAliases_1.MM_PLAYER;
    exports.Z64_ACTOR_ROTATION_OFFSET = MMAliases_1.MM_ACTOR_ROTATION_OFFSET;
    exports.Z64_ACTOR_ROTATION_SIZE = MMAliases_1.MM_ACTOR_ROTATION_SIZE;
    exports.Z64_ACTOR_POSITION_OFFSET = MMAliases_1.MM_ACTOR_POSITION_OFFSET;
    exports.Z64_ACTOR_POSITION_SIZE = MMAliases_1.MM_ACTOR_POSITION_SIZE;
    exports.Z64_DUNGEON_ITEM_ADDR = MMAliases_1.MM_DUNGEON_ITEM_ADDR;
    exports.Z64_OVERLAY_TABLE = MMAliases_1.MM_OVERLAY_TABLE;
    exports.Z64_SCENE_TABLE = MMAliases_1.MM_SCENE_TABLE;
    exports.Z64_ENTRANCE_TABLE = MMAliases_1.MM_ENTRANCE_TABLE;
    exports.Z64_RESTRICTION_TABLE = MMAliases_1.MM_RESTRICTION_TABLE;
    exports.Z64_GUI_SHOWN = MMAliases_1.MM_GUI_SHOWN;
    exports.Z64_PLAYER_STATE = MMAliases_1.MM_PLAYER_STATE;
    exports.Z64_PLAYER_STATE2 = MMAliases_1.MM_PLAYER_STATE2;
    exports.Z64_PLAYER_RAWANIM = MMAliases_1.MM_PLAYER_RAWANIM;
    exports.Z64_PAUSED = MMAliases_1.MM_PAUSED;
    exports.Z64_DMAROM = MMAliases_1.MM_DMAROM;
    exports.Z64_IS_DEBUG = false;
    exports.Z64_EQUIP_ADDR = MMAliases_1.MM_EQUIP_ADDR;
    exports.Z64_GSEGMENTS = MMAliases_1.MM_GSEGMENTS;
}
exports.setupMM = setupMM;
function markAsRandomizer() {
    exports.Z64_IS_RANDOMIZER = true;
}
exports.markAsRandomizer = markAsRandomizer;
/**
 * Internal function please don't call.
 * @param pointer
 */
function setSpawnWithAddrPointer(pointer) {
    exports.Z64_SPAWN_WITH_ADDRESS_POINTER = pointer;
}
exports.setSpawnWithAddrPointer = setSpawnWithAddrPointer;
//# sourceMappingURL=GameAliases.js.map