import { IInventoryCounts, IInventoryFields, ISaveContext } from "../../../API/OoT/OOTAPI";
import { Z64LibSupportedGames } from "../../../API/Utilities/Z64LibSupportedGames";
export declare type IOOTSaveContext = ISaveContext;
export declare type IOOTInventoryFields = IInventoryFields;
export declare type IOOTInventoryCounts = IInventoryCounts;
export declare const OOT_GLOBAL_PTR: number;
export declare const OOT_SAVE: number;
export declare const OOT_PLAYER: number;
export declare const OOT_GAME: Z64LibSupportedGames;
export declare const OOT_ACTOR_ROTATION_OFFSET = 180;
export declare const OOT_ACTOR_ROTATION_SIZE = 6;
export declare const OOT_ACTOR_POSITION_OFFSET = 36;
export declare const OOT_ACTOR_POSITION_SIZE = 12;
export declare const OOT_DUNGEON_ITEM_ADDR: number;
export declare const OOT_OVERLAY_TABLE = 2148435248;
export declare const OOT_SCENE_TABLE = 2148512992;
export declare const OOT_ENTRANCE_TABLE = 2148506768;
export declare const OOT_RESTRICTION_TABLE = 2148496208;
export declare const OOT_GUI_SHOWN: number;
export declare const OOT_PLAYER_STATE: number;
export declare const OOT_PLAYER_STATE2: number;
export declare const OOT_PLAYER_RAWANIM: number;
export declare const OOT_PAUSED = 2149347232;
export declare const OOT_DMAROM = 29744;
export declare const OOT_EQUIP_ADDR: number;
export declare const OOT_GSEGMENTS = 2148666424;
export declare const OOTDBG_GLOBAL_PTR: number;
export declare const OOTDBG_SAVE: number;
export declare const OOTDBG_PLAYER: number;
export declare const OOTDBG_GAME: Z64LibSupportedGames;
export declare const OOTDBG_ACTOR_ROTATION_OFFSET = 180;
export declare const OOTDBG_ACTOR_ROTATION_SIZE = 6;
export declare const OOTDBG_ACTOR_POSITION_OFFSET = 36;
export declare const OOTDBG_ACTOR_POSITION_SIZE = 12;
export declare const OOTDBG_DUNGEON_ITEM_ADDR: number;
export declare const OOTDBG_OVERLAY_TABLE = 2148623008;
export declare const OOTDBG_SCENE_TABLE = 2148512992;
export declare const OOTDBG_ENTRANCE_TABLE = 2148506768;
export declare const OOTDBG_RESTRICTION_TABLE = 2148496208;
export declare const OOTDBG_GUI_SHOWN = 2149335895;
export declare const OOTDBG_PLAYER_STATE: number;
export declare const OOTDBG_PLAYER_STATE2: number;
export declare const OOTDBG_PLAYER_RAWANIM: number;
export declare const OOTDBG_PAUSED = 2148951552;
export declare const OOTDBG_DMAROM = 77680;
export declare const OOTDBG_EQUIP_ADDR: number;
export declare const OOTDGB_GSEGMENTS = 2148954024;
//# sourceMappingURL=OotAliases.d.ts.map