import IMemory from 'modloader64_api/IMemory';
import * as Z64API from '../../API/imports';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
export declare class QuestStatus extends JSONTemplate implements Z64API.MM.IQuestStatus {
    private emulator;
    private instance;
    private questFlags;
    private questFlagsAddr;
    private minimapFlags;
    private minimapAddr;
    jsonFields: string[];
    constructor(emu: IMemory);
    private lullabyIntroFlag;
    get lullabyIntro(): boolean;
    set lullabyIntro(bool: boolean);
    private unknown1Flag;
    get unknown1(): boolean;
    set unknown1(bool: boolean);
    private unknown2Flag;
    get unknown2(): boolean;
    set unknown2(bool: boolean);
    private unknown3Flag;
    get unknown3(): boolean;
    set unknown3(bool: boolean);
    get heartPieceCount(): number;
    set heartPieceCount(count: number);
    private heartPiecesFlag1;
    get heartPieces1(): boolean;
    set heartPieces1(bool: boolean);
    private heartPiecesFlag2;
    get heartPieces2(): boolean;
    set heartPieces2(bool: boolean);
    private heartPiecesFlag3;
    get heartPieces3(): boolean;
    set heartPieces3(bool: boolean);
    private heartPiecesFlag4;
    get heartPieces4(): boolean;
    set heartPieces4(bool: boolean);
    private songOfStormsFlag;
    get songOfStorms(): boolean;
    set songOfStorms(bool: boolean);
    private songOfStormsIconFlag;
    get songOfStormsIcon(): boolean;
    set songOfStormsIcon(bool: boolean);
    private bombersNotebookFlag;
    get bombersNotebook(): boolean;
    set bombersNotebook(bool: boolean);
    private unknown4Flag;
    get unknown4(): boolean;
    set unknown4(bool: boolean);
    private newWaveBossaNovaFlag;
    get newWaveBossaNova(): boolean;
    set newWaveBossaNova(bool: boolean);
    private elegyOfEmptinessFlag;
    get elegyOfEmptiness(): boolean;
    set elegyOfEmptiness(bool: boolean);
    private oathToOrderFlag;
    get oathToOrder(): boolean;
    set oathToOrder(bool: boolean);
    private preludeIconFlag;
    get preludeIcon(): boolean;
    set preludeIcon(bool: boolean);
    private songOfTimeFlag;
    get songOfTime(): boolean;
    set songOfTime(bool: boolean);
    private songOfHealingFlag;
    get songOfHealing(): boolean;
    set songOfHealing(bool: boolean);
    private eponaSongFlag;
    get eponaSong(): boolean;
    set eponaSong(bool: boolean);
    private songOfSoaringFlag;
    get songOfSoaring(): boolean;
    set songOfSoaring(bool: boolean);
    private odolwaRemainsFlag;
    get odolwaRemains(): boolean;
    set odolwaRemains(bool: boolean);
    private gohtRemainsFlag;
    get gohtRemains(): boolean;
    set gohtRemains(bool: boolean);
    private gyorgRemainsFlag;
    get gyorgRemains(): boolean;
    set gyorgRemains(bool: boolean);
    private twinmoldRemainsFlag;
    get twinmoldRemains(): boolean;
    set twinmoldRemains(bool: boolean);
    private unknown5Flag;
    get unknown5(): boolean;
    set unknown5(bool: boolean);
    private unknown6Flag;
    get unknown6(): boolean;
    set unknown6(bool: boolean);
    private sonataOfAwakeningFlag;
    get sonataOfAwakening(): boolean;
    set sonataOfAwakening(bool: boolean);
    private goronLullabyFlag;
    get goronLullaby(): boolean;
    set goronLullaby(bool: boolean);
    get great_spin(): boolean;
    set great_spin(flag: boolean);
}
//# sourceMappingURL=QuestStatus.d.ts.map