/// <reference types="node" />
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import { IModLoaderAPI } from 'modloader64_api/IModLoaderAPI';
import * as Z64API from '../../API/imports';
export declare class GlobalContext extends JSONTemplate implements Z64API.OoT.IGlobalContext {
    private emulator;
    private current_scene_addr;
    private switch_flags_addr;
    private temp_switch_flags_addr;
    private chest_flags_addr;
    private room_clear_flags_addr;
    private current_room_addr;
    private frame_count_addr;
    private scene_frame_count_addr;
    private collectable_flag_addr;
    private continue_state_addr;
    viewStruct: Z64API.Z64.IViewStruct;
    jsonFields: string[];
    constructor(ModLoader: IModLoaderAPI);
    get fogDistance(): number;
    set fogDistance(fog: number);
    get fogColor(): number;
    set fogColor(color: number);
    get scene(): number;
    get room(): number;
    get framecount(): number;
    get scene_framecount(): number;
    get liveSceneData_chests(): Buffer;
    set liveSceneData_chests(buf: Buffer);
    get liveSceneData_clear(): Buffer;
    set liveSceneData_clear(buf: Buffer);
    get liveSceneData_switch(): Buffer;
    set liveSceneData_switch(buf: Buffer);
    get liveSceneData_temp(): Buffer;
    set liveSceneData_temp(buf: Buffer);
    get liveSceneData_collectable(): Buffer;
    set liveSceneData_collectable(buf: Buffer);
    get continue_state(): boolean;
    get lastOrCurrentEntrance(): number;
    getSaveDataForCurrentScene(): Buffer;
    writeSaveDataForCurrentScene(buf: Buffer): void;
}
//# sourceMappingURL=GlobalContext.d.ts.map