export declare enum EventFlags {
    PERM_Entered_Snowhead = 0,
    PERM_Entered_Goron_Shrine = 1,
    PERM_Entered_Mountain_Village = 2,
    PERM_Entered_Gorman_Racetrack = 3,
    PERM_Entered_Romani_Ranch = 4,
    PERM_Entered_Ikana_Graveyard = 5,
    PERM_Entered_Termina_Field = 6,
    TIME_UNK_0 = 7,
    PERM_Entered_Ikana_Canyon = 8,
    PERM_Entered_Waterfall_Rapids = 9,
    PERM_Entered_Zora_Hall = 10,
    PERM_Entered_Pirates_Fortress = 11,
    PERM_Entered_Great_Bay_Coast = 12,
    PERM_Entered_Deku_Palace = 13,
    PERM_Entered_Woodfall = 14,
    PERM_Entered_Southern_Swamp = 15,
    PERM_Entered_Snowhead_Temple = 16,
    PERM_Entered_Woodfall_Temple = 17,
    PERM_Entered_North_Clock_Town = 18,
    PERM_Entered_West_Clock_Town = 19,
    PERM_Entered_East_Clock_Town = 20,
    PERM_Entered_Inverted_Stone_Tower = 21,
    PERM_Entered_Stone_Tower = 22,
    PERM_Entered_Ancient_Castle_of_Ikana = 23,
    PERM_Entered_Link_Trial = 24,
    PERM_Entered_Zora_Trial = 25,
    PERM_Entered_Goron_Trial = 26,
    PERM_Entered_Deku_Trial = 27,
    PERM_Entered_The_Moon = 28,
    PERM_Entered_Inverted_Stone_Tower_Temple = 29,
    PERM_Entered_Stone_Tower_Temple = 30,
    PERM_Entered_Pirates_Fortress_Exterior = 31,
    TIME_UNK_1 = 32,
    TIME_UNK_2 = 33,
    TIME_UNK_3 = 34,
    TIME_UNK_4 = 35,
    TIME_UNK_5 = 36,
    TIME_UNK_6 = 37,
    TIME_Entered_Deku_Kings_Chamber = 38,
    TIME_UNK_7 = 39,
    TIME_UNK_8 = 40,
    TIME_UNK_9 = 41,
    TIME_UNK_10 = 42,
    TIME_UNK_11 = 43,
    TIME_UNK_12 = 44,
    TIME_UNK_13 = 45,
    TIME_UNK_14 = 46,
    TIME_UNK_15 = 47,
    TIME_UNK_16 = 48,
    TIME_UNK_17 = 49,
    TIME_UNK_18 = 50,
    TIME_UNK_19 = 51,
    TIME_UNK_20 = 52,
    TIME_UNK_21 = 53,
    TIME_UNK_22 = 54,
    TIME_UNK_23 = 55,
    PERM_Learned_Oath_to_Order = 56,
    TIME_UNK_24 = 57,
    TIME_UNK_25 = 58,
    TIME_UNK_26 = 59,
    TIME_UNK_27 = 60,
    TIME_UNK_28 = 61,
    TIME_UNK_29 = 62,
    TIME_UNK_30 = 63,
    TIME_Retrieved_Clock_Town_Stray_Fairy = 64,
    TIME_Clock_Tower_Opened = 65,
    PERM_Obtained_Doggy_Racetrack_Piece_of_Heart = 66,
    TIME_UNK_31 = 67,
    TIME_UNK_32 = 68,
    TIME_UNK_33 = 69,
    TIME_Spoke_to_Monkey_Outside_Deku_Kings_Chamber = 70,
    DISABLE_Minigame_Disable_All_But_B_Button = 71,
    TIME_Taught_Sonata_of_Awakening = 72,
    TIME_Gaebora_Guides_the_Way_to_Lens_Cave = 73,
    TIME_Spoke_to_Gaebora_at_Goron_Village = 74,
    TIME_Spoke_to_Stone_Tower_Fairies_Once = 75,
    TIME_Spoke_to_Great_Bay_Fairies_Once = 76,
    TIME_Spoke_to_Snowhead_Fairies_Once = 77,
    TIME_Spoke_to_Woodfall_Fairies_Once = 78,
    TIME_Spoke_to_Clock_Town_Fairies_Once = 79,
    TIME_UNK_34 = 80,
    TIME_UNK_35 = 81,
    TIME_UNK_36 = 82,
    TIME_UNK_37 = 83,
    PERM_Obtained_Adult_Wallet = 84,
    TIME_UNK_38 = 85,
    TIME_UNK_39 = 86,
    TIME_Kooloo_Limpah_Tingle_Related = 87,
    TIME_UNK_40 = 88,
    TIME_UNK_41 = 89,
    TIME_UNK_42 = 90,
    TIME_Caught_Bomber_5 = 91,
    TIME_Caught_Bomber_4 = 92,
    TIME_Caught_Bomber_3 = 93,
    TIME_Caught_Bomber_2 = 94,
    TIME_Caught_Bomber_1 = 95,
    TIME_Obtained_Magic_Jar = 96,
    TIME_Deku_Palace_Guards_Allow_Passage = 97,
    TIME_Clock_Town_Guards_Allow_Passage = 98,
    PERM_Obtained_Red_Potion_Bottle = 99,
    TIME_Gave_Red_Potion_to_Koume = 100,
    TIME_Saw_at_Skull_Kid_in_Telescope = 101,
    TIME_Racing = 102,
    TIME_Water_Purified_in_Woodfall_Temple = 103,
    TIME_Completed_Oceanside_Spider_House = 104,
    PERM_Obtained_Giants_Wallet = 105,
    TIME_Spoke_to_Oceanside_Spider_House_Guy_Once = 106,
    TIME_UNK_43 = 107,
    TIME_Spoke_to_Cremia_in_Barn_Once = 108,
    TIME_Spoke_to_Cremia_Once = 109,
    TIME_UNK_44 = 110,
    TIME_Killed_All_Eels = 111,
    PERM_Obtained_Deku_Flower_Minigame_Piece_of_Heart = 112,
    TIME_Deku_Flower_Minigame_Beat_Day_3 = 113,
    TIME_Deku_Flower_Minigame_Beat_Day_2 = 114,
    TIME_Deku_Flower_Minigame_Beat_Day_1 = 115,
    TIME_Chateau_Romani_Infinite_Magic = 116,
    TIME_Water_Raised_in_Ikana_Canyon = 117,
    TIME_Activated_Sharp = 118,
    TIME_Protected_Cremia___Obtained_Romanis_Mask = 119,
    TIME_Saw_Kotake_Leave_to_Look_for_Koume = 120,
    TIME_UNK_45 = 121,
    PERM_UNK_46 = 122,
    TIME_Spoke_to_Blue_Gorman_Bro_Once = 123,
    TIME_Spoke_to_Orange_Gorman_Bro_Once = 124,
    TIME_UNK_47 = 125,
    TIME_UNK_48 = 126,
    TIME_UNK_49 = 127,
    TIME_UNK_50 = 128,
    TIME_Spoke_to_Beaver_Little_Brother = 129,
    TIME_UNK_51 = 130,
    TIME_Spoke_to_Koume_in_Woods = 131,
    TIME_Took_Off_Transformation_Mask_1 = 132,
    TIME_UNK_52 = 133,
    TIME_Took_Off_Transformation_Mask_0 = 134,
    TIME_UNK_53 = 135,
    TIME_Obtained_Land_Title_Deed = 136,
    TIME_UNK_54 = 137,
    TIME_Spoke_to_Clock_Town_Deku_Merchant_in_First_Cycle = 138,
    TIME_Spoke_to_Shikashi = 139,
    TIME_UNK_55 = 140,
    TIME_Deku_Palace_Caught_in_Gardens = 141,
    TIME_UNK_56 = 142,
    TIME_UNK_57 = 143,
    TIME_Received_Powder_Keg_for_Personal_Use = 144,
    TIME_Received_Powder_Keg_for_Racetrack = 145,
    TIME_Spoke_to_Biggoron_as_Non_Goron_Once = 146,
    TIME_UNK_58 = 147,
    TIME_UNK_59 = 148,
    TIME_UNK_60 = 149,
    TIME_UNK_61 = 150,
    TIME_Spoke_to_Deku_King_Once = 151,
    TIME_Played_Song_of_Healing_for_Darmani = 152,
    TIME_Zora_Eggs_Hatched = 153,
    TIME_Spoke_to_Lake_Scientist_as_Zora_Once = 154,
    TIME_Spoke_to_Lake_Scientist_as_Deku_Once = 155,
    TIME_Spoke_to_Lake_Scientist_as_Goron_Once = 156,
    TIME_Spoke_to_Lake_Scientist_Once = 157,
    TIME_Powder_Keg_1 = 158,
    TIME_Powder_Keg_0 = 159,
    TIME_Spoke_to_Mountain_Smithy_Once = 160,
    TIME_Learning_New_Wave_Bossa_Nova = 161,
    TIME_Raised_Water_in_Darmanis_Grave = 162,
    TIME_Darmani_Waiting_at_Grave = 163,
    TIME_Darmani_Waiting_at_Mountain_Village = 164,
    TIME_Darmani_Waiting_at_Two_Islands = 165,
    TIME_Woodfall_Temple_Prison_Entrance_Raised___Water_Cleansed = 166,
    TIME_Woodfall_Temple_Raised = 167,
    TIME_UNK_62 = 168,
    TIME_Spoke_to_Romani_Once = 169,
    TIME_Practiced_for_Aliens_with_Romani = 170,
    TIME_UNK_63 = 171,
    TIME_Gorons_Outside_Grave_Conversed = 172,
    TIME_Goron_Outside_Grave_Spoke_to_Goron_Link = 173,
    TIME_UNK_64 = 174,
    TIME_Mountain_Smithy_Hearth_Melted = 175,
    PERM_Obtained_Honey__Darling_Piece_of_Heart = 176,
    TIME_Honey__Darling_Beat_Day_3 = 177,
    TIME_Honey__Darling_Beat_Day_2 = 178,
    TIME_Honey__Darling_Beat_Day_1 = 179,
    TIME_Spoke_to_Goron_Elders_Son_Once = 180,
    TIME_Played_Lullaby_for_Goron_Elders_Son = 181,
    PERM_Obtained_Milk_Bottle = 182,
    TIME_Warded_Off_Aliens = 183,
    PERM_Obtained_Beaver_Bottle = 184,
    TIME_UNK_65 = 185,
    TIME_Deku_Princess_Returned_to_Palace1 = 186,
    TIME_UNK_66 = 187,
    TIME_Spoke_to_Swamp_Tourist_Guide_Once = 188,
    TIME_Dismissed_Captain_Keeta = 189,
    PERM_Woodfall_Great_Fairy_Spin_Attack = 190,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Top_As_Goron_Once = 191,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Next_to_Baby_Right_Once = 192,
    TIME_Goron_Elder_Taught_Lullaby_Intro = 193,
    TIME_UNK_67 = 194,
    TIME_Spoke_to_Goron_Elder_Twice = 195,
    TIME_UNK_68 = 196,
    SCENE_Won_Against_Little_Brother_Beaver = 197,
    PERM_UNK_69 = 198,
    SCENE_Won_Against_Big_Brother_Beaver = 199,
    TIME_Spoke_to_Fisherman_Once_as_Zora = 200,
    TIME_Spoke_to_Seahorse_at_Fishermans_Once_0 = 201,
    TIME_Boat_Cruise_Purified_Swamp = 202,
    TIME_Boat_Cruise = 203,
    TIME_Raised_Cuccos = 204,
    TIME_UNK_70 = 205,
    TIME_Giants_Called_to_Clock_Tower = 206,
    PERM_Obtained_Beaver_Piece_of_Heart = 207,
    TIME_UNK_71 = 208,
    PERM_Obtained_Swamp_Cruise_Piece_of_Heart = 209,
    TIME_UNK_72 = 210,
    TIME_Spoke_to_Koume_for_Boat_Cruise_After_Swamp_Purification_Once = 211,
    TIME_Gave_Picture_of_Pirate_to_Fisherman = 212,
    TIME_UNK_73 = 213,
    TIME_Spoke_to_Seahorse_at_Fishermans_Once_1 = 214,
    TIME_Spoke_to_Fisherman_Once_as_Link = 215,
    TIME_Postman_Checked_Postbox_2_1003_AM = 216,
    TIME_Postman_Checked_Postbox_1_930_AM = 217,
    TIME_Postbox_5_Deposited_Letter_to_Kafei = 218,
    TIME_Postbox_4_Deposited_Letter_to_Kafei = 219,
    TIME_Postbox_3_Deposited_Letter_to_Kafei = 220,
    TIME_Postbox_2_Deposited_Letter_to_Kafei = 221,
    TIME_Postbox_1_Deposited_Letter_to_Kafei = 222,
    TIME_Spoke_to_Deku_Butler_in_Deku_Kings_Chamber_Once = 223,
    TIME_Spoke_to_Left_Pot_Zora_As_Zora_Once = 224,
    TIME_Spoke_to_Left_Pot_Zora_As_Non_Zora_Once = 225,
    TIME_UNK_74 = 226,
    TIME_Postman_Scheduled_to_Deliver_Letter_to_Kafei_Day_3 = 227,
    TIME_Postman_Scheduled_to_Deliver_Letter_to_Kafei_Day_2 = 228,
    TIME_Postman_Checked_Postbox_5_1125_AM = 229,
    TIME_Postman_Checked_Postbox_4_1052_AM = 230,
    TIME_Postman_Checked_Postbox_3_1035_AM = 231,
    TIME_Deku_Princess_Returned_to_Palace2 = 232,
    TIME_Woodfall_Temple_Prison_Cut_Open = 233,
    TIME_Mikau_Collapsed_on_Shore = 234,
    TIME_Broke_Zora_Pots_Once = 235,
    TIME_Spoke_to_Right_Pot_Zora_As_Non_Zora_Once = 236,
    TIME_Spoke_to_Right_Pot_Zora_As_Zora_Once = 237,
    TIME_UNK_75 = 238,
    TIME_UNK_76 = 239,
    PERM_Wore_Fierce_Deity_Mask_Once = 240,
    PERM_Wore_Zora_Mask_Once = 241,
    PERM_Wore_Goron_Mask_Once = 242,
    PERM_Wore_Deku_Mask_Once = 243,
    TIME_Took_Out_Ocarina_for_Japas = 244,
    TIME_Spoke_to_Japas_As_Zora_Once = 245,
    TIME_Spoke_to_Japas_As_Non_Zora_Once = 246,
    TIME_Biggoron_Fell_Asleep = 247,
    SCENE_Rode_With_Cremia_Resets_After_Ride = 248,
    TIME_Rode_With_Cremia = 249,
    PERM_UNK_77 = 250,
    TIME_UNK_78 = 251,
    TIME_Played_for_Japas_Once = 252,
    PERM_Tatls_Second_Cycle_Text = 253,
    PERM_Tatls_Ocean_Hint_Text1 = 254,
    PERM_Tatls_Snowhead_Hint_Text_0 = 255,
    TIME_Great_Bay_Temple_Frog_Returned = 256,
    TIME_Woodfall_Temple_Frog_Returned = 257,
    TIME_Attempted_to_Obtain_Room_Key = 258,
    TIME_Spoke_to_Tijo_As_Zora_Once = 259,
    TIME_Spoke_to_Tijo_As_Non_Zora_Once = 260,
    PERM_Obtained_Town_Archery_Piece_of_Heart = 261,
    PERM_Obtained_Swamp_Archery_Piece_of_Heart = 262,
    PERM_Obtained_Seahorse_Piece_of_Heart = 263,
    TIME_Mountain_Village_Unfrozen = 264,
    TIME_Bought_Day_3_Lottery_Ticket = 265,
    TIME_Bought_Day_2_Lottery_Ticket = 266,
    TIME_Bought_Day_1_Lottery_Ticket = 267,
    TIME_Saved_Bomb_Shop_Lady_0 = 268,
    TIME_Obtained_All_Night_Mask = 269,
    TIME_Laundry_Pool_Frog_Returned = 270,
    TIME_Southern_Swamp_Frog_Returned = 271,
    TIME_UNK_79 = 272,
    TIME_UNK_80 = 273,
    TIME_UNK_81 = 274,
    TIME_UNK_82 = 275,
    TIME_Obtained_Mask_of_Truth = 276,
    TIME_UNK_83 = 277,
    TIME_UNK_84 = 278,
    TIME_Spoke_to_Mountain_Village_Frog = 279,
    PERM_Obtained_Frog_Piece_of_Heart = 280,
    TIME_Saw_Don_Gero = 281,
    PERM_Map_Stone_Tower = 282,
    PERM_Map_Great_Bay = 283,
    PERM_Map_Romani_Ranch = 284,
    PERM_Map_Snowhead = 285,
    PERM_Map_Woodfall = 286,
    PERM_Map_Clock_Town = 287,
    TIME_UNK_85 = 288,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Bottom_Left_As_Goron_Once = 289,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Bottom_Left_As_Non_Goron_Once = 290,
    TIME_UNK_86 = 291,
    TIME_UNK_87 = 292,
    TIME_UNK_88 = 293,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Bottom_Right_As_Goron_Once = 294,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Bottom_Right_As_Non_Goron_Once = 295,
    TIME_Spoke_to_Zora_Guarding_Japas_Room_As_Non_Zora_Once = 296,
    TIME_Spoke_to_Zora_Guarding_Tijos_Room_Once = 297,
    TIME_Spoke_to_Zora_Guarding_Tijos_Room_As_Non_Zora_Once = 298,
    TIME_Rock_Sirloin_Dropped = 299,
    TIME_Fed_Rock_Sirloin_to_Don_Gero = 300,
    TIME_UNK_89 = 301,
    TIME_Spoke_to_Goron_in_Goron_Shrine_Next_to_Baby_Left_Once = 302,
    TIME_UNK_90 = 303,
    TIME_Spoke_to_Zora_Sitting_at_Water_in_Zora_Hall_As_Non_Zora_Once = 304,
    TIME_Listened_to_Guru_Guru = 305,
    PERM_UNK_91 = 306,
    TIME_Spoke_to_Guru_Guru_in_Stock_Pot_Inn_Once = 307,
    TIME_Caught_Peeping_Zora = 308,
    TIME_Spoke_to_Zora_Guarding_Evans_Room_As_Zora_Once = 309,
    TIME_Spoke_to_Zora_Guarding_Evans_Room_As_Non_Zora_Once = 310,
    TIME_Spoke_to_Zora_Guarding_Japas_Room_As_Zora_Once = 311,
    TIME_Spoke_to_Sound_Check_Guy_As_Zora_Once = 312,
    TIME_Spoke_to_Sound_Check_Guy_As_Non_Zora_Once = 313,
    PERM_Obtained_Evans_Piece_of_Heart = 314,
    TIME_Spoke_to_Evan_As_Non_Zora_Once = 315,
    TIME_Spoke_to_Evan_As_Zora_Once = 316,
    TIME_Spoke_to_Zora_Atop_Zora_Hall_As_Zora_Once = 317,
    TIME_Spoke_to_Zora_Atop_Zora_Hall_As_Non_Zora_Once = 318,
    TIME_Spoke_to_Zora_Sitting_at_Water_in_Zora_Hall_As_Zora_Once = 319,
    TIME_Spoke_to_Elders_Son_Outside_Goron_Racetrack_Once = 320,
    TIME_Opened_Goron_Racetrack = 321,
    TIME_UNK_92 = 322,
    TIME_Spoke_to_Zora_Wandering_Around_in_Zora_Hall_As_Zora_Once = 323,
    TIME_Spoke_to_Zora_Wandering_Around_in_Zora_Hall_As_Non_Zora_Once = 324,
    TIME_Spoke_to_Zora_on_Stage_Once_After_Turning_on_Lights_As_Zora = 325,
    TIME_Spoke_to_Zora_on_Stage_Once_Before_Turning_on_Lights_As_Zora = 326,
    TIME_Spoke_to_Zora_on_Stage_Once_Before_Turning_on_Lights_As_Non_Zora = 327,
    TIME_UNK_93 = 328,
    TIME_Helped_Shiro = 329,
    TIME_UNK_94 = 330,
    TIME_Played_Song_for_Evan = 331,
    PERM_Obtained_Gold_Dust_Bottle = 332,
    TIME_Entered_Goron_Race = 333,
    TIME_Spoke_to_Elders_Son_at_Racetrack_Once = 334,
    TIME_UNK_95 = 335,
    SCENE_Doggy_Racetrack_0 = 336,
    SCENE_Doggy_Racetrack_1 = 337,
    SCENE_Doggy_Racetrack_2 = 338,
    SCENE_Doggy_Racetrack_3 = 339,
    SCENE_Doggy_Racetrack_4 = 340,
    SCENE_Doggy_Racetrack_5 = 341,
    SCENE_Doggy_Racetrack_6 = 342,
    SCENE_Doggy_Racetrack_7 = 343,
    SCENE_Doggy_Racetrack_8 = 344,
    SCENE_Doggy_Racetrack_9 = 345,
    SCENE_Doggy_Racetrack_10 = 346,
    SCENE_Doggy_Racetrack_11 = 347,
    SCENE_Doggy_Racetrack_12 = 348,
    SCENE_Doggy_Racetrack_13 = 349,
    SCENE_Doggy_Racetrack_14 = 350,
    SCENE_Doggy_Racetrack_15 = 351,
    SCENE_Doggy_Racetrack_16 = 352,
    SCENE_Doggy_Racetrack_17 = 353,
    SCENE_Doggy_Racetrack_18 = 354,
    SCENE_Doggy_Racetrack_19 = 355,
    SCENE_Doggy_Racetrack_20 = 356,
    SCENE_Doggy_Racetrack_21 = 357,
    SCENE_Doggy_Racetrack_22 = 358,
    SCENE_Doggy_Racetrack_23 = 359,
    SCENE_Doggy_Racetrack_24 = 360,
    SCENE_Doggy_Racetrack_25 = 361,
    SCENE_Doggy_Racetrack_26 = 362,
    SCENE_Doggy_Racetrack_27 = 363,
    SCENE_Doggy_Racetrack_28 = 364,
    SCENE_Doggy_Racetrack_29 = 365,
    SCENE_Doggy_Racetrack_30 = 366,
    SCENE_Doggy_Racetrack_31 = 367,
    SCENE_Doggy_Racetrack_32 = 368,
    SCENE_Doggy_Racetrack_33 = 369,
    SCENE_Doggy_Racetrack_34 = 370,
    SCENE_Doggy_Racetrack_35 = 371,
    SCENE_Doggy_Racetrack_36 = 372,
    SCENE_Doggy_Racetrack_37 = 373,
    SCENE_Doggy_Racetrack_38 = 374,
    SCENE_Doggy_Racetrack_39 = 375,
    SCENE_Doggy_Racetrack_40 = 376,
    SCENE_Doggy_Racetrack_41 = 377,
    SCENE_Doggy_Racetrack_42 = 378,
    SCENE_Doggy_Racetrack_43 = 379,
    SCENE_Doggy_Racetrack_44 = 380,
    SCENE_Doggy_Racetrack_45 = 381,
    SCENE_Doggy_Racetrack_46 = 382,
    SCENE_Doggy_Racetrack_47 = 383,
    SCENE_Doggy_Racetrack_48 = 384,
    SCENE_Doggy_Racetrack_49 = 385,
    SCENE_Doggy_Racetrack_50 = 386,
    SCENE_Doggy_Racetrack_51 = 387,
    SCENE_Doggy_Racetrack_52 = 388,
    SCENE_Doggy_Racetrack_53 = 389,
    SCENE_Doggy_Racetrack_54 = 390,
    SCENE_Doggy_Racetrack_55 = 391,
    TIME_UNK_96 = 392,
    TIME_UNK_97 = 393,
    TIME_UNK_98 = 394,
    TIME_UNK_99 = 395,
    TIME_UNK_100 = 396,
    TIME_UNK_101 = 397,
    TIME_UNK_102 = 398,
    TIME_UNK_103 = 399,
    TIME_Spoke_to_Kafei_After_Delivering_Letter = 400,
    TIME_UNK_104 = 401,
    TIME_Obtained_Letter_to_Kafei2 = 402,
    TIME_Obtained_Letter_to_Kafei1 = 403,
    TIME_Promised_to_Meet_Anju = 404,
    PERM_Obtained_Four_Giants_storytime_Piece_of_Heart = 405,
    PERM_Obtained_Carnival_of_Time_storytime_Piece_of_Heart = 406,
    TIME_Played_Full_Ballad_of_the_Wind_Fish = 407,
    TIME_UNK_105 = 408,
    TIME_Couples_Mask_Cutscene_Finished = 409,
    TIME_Saved_Suns_Mask = 410,
    TIME_Sakons_Hideout_Open = 411,
    TIME_Obtained_Pendant_of_Memories = 412,
    SCENE_Hit_Kafeis_Bell = 413,
    TIME_Letter_to_Kafei_Related = 414,
    TIME_Gave_Pendant_of_Memories_to_Anju = 415,
    TIME_Spoke_to_Dampe_Beneath_the_Graveyard_Once = 416,
    SCENE_Town_Scrub_Is_in_Grotto = 417,
    TIME_Beat_Stone_Tower_Temple = 418,
    SCENE_Approached_Evan = 419,
    TIME_UNK_106 = 420,
    TIME_UNK_107 = 421,
    TIME_UNK_108 = 422,
    TIME_Protected_Cremia_0 = 423,
    TIME_UNK_109 = 424,
    PERM_Rode_Turtle_Once = 425,
    TIME_Woke_Turtle = 426,
    TIME_Obtained_Blue_Potion_Free = 427,
    TIME_Gave_Mushrooms_to_Kotake = 428,
    TIME_UNK_110 = 429,
    PERM_Obtained_Grotto_Scrub_Piece_of_Heart = 430,
    TIME_UNK_111 = 431,
    TIME_Mystery_Man_Disappeared = 432,
    PERM_Obtained_Ghost_Hut_Piece_of_Heart = 433,
    TIME_Began_Ghost_Hut_Minigame = 434,
    TIME_UNK_112 = 435,
    TIME_UNK_113 = 436,
    TIME_UNK_114 = 437,
    TIME_UNK_115 = 438,
    TIME_UNK_116 = 439,
    TIME_Beat_Great_Bay_Temple = 440,
    TIME_UNK_117 = 441,
    TIME_Spoke_to_Anju_in_Laundry_Pool_Once = 442,
    TIME_UNK_118 = 443,
    TIME_UNK_119 = 444,
    TIME_UNK_120 = 445,
    TIME_Link_the_Goron_Claims_His_Reservation_430_PM = 446,
    TIME_UNK_121 = 447,
    TIME_Played_Ballad_of_the_Wind_Fish_as_Goron = 448,
    TIME_Played_Ballad_of_the_Wind_Fish_as_Zora = 449,
    TIME_Played_Ballad_of_the_Wind_Fish_as_Deku = 450,
    TIME_Played_Ballad_of_the_Wind_Fish_as_Link = 451,
    TIME_Gorman_Bros_Race_In_Progress = 452,
    TIME_Spoke_to_Gorman_Bros__With_Horse_Once = 453,
    PERM_Obtained_Marine_Lab_Piece_of_Heart = 454,
    TIME_UNK_122 = 455,
    TIME_Spoke_to_Zora_Shop_Owner_As_Zora_Once = 456,
    TIME_UNK_123 = 457,
    TIME_UNK_124 = 458,
    TIME_Spoke_to_Zora_Shop_Owner_As_Non_Zora_Once = 459,
    PERM_Obtained_Chateau_Romani_Bottle = 460,
    TIME_Delivered_Letter_to_Mama_Directly = 461,
    TIME_UNK_125 = 462,
    TIME_Started_Race_with_Gorman_Bros = 463,
    SCENE_Sakons_Hideout_Opening = 464,
    TIME_Bomb_Shop_Lady_Entered_North_Clock_Town = 465,
    TIME_UNK_126 = 466,
    TIME_UNK_127 = 467,
    TIME_Spoke_to_Goron_Shop_Owner_As_Goron_Once = 468,
    TIME_Spoke_to_Goron_Shop_Owner_As_Non_Goron_Once = 469,
    TIME_Spoke_to_Mr_Barten_Preparing_Milk_Bar_Once = 470,
    TIME_UNK_128 = 471,
    TIME_Protected_Cremia_1 = 472,
    TIME_Two_Hundred_Rupees_in_Bank = 473,
    PERM_Obtained_Largest_Quiver = 474,
    PERM_Obtained_Large_Quiver = 475,
    PERM_UNK_129 = 476,
    PERM_Entered_South_Clock_Town = 477,
    TIME_UNK_130 = 478,
    SCENE_Pamela_Outside_House = 479,
    TIME_Spoke_to_Mutoh_on_Final_Night_Once = 480,
    TIME_UNK_131 = 481,
    TIME_UNK_132 = 482,
    PERM_Obtained_Couples_Mask_Piece_of_Heart = 483,
    TIME_Listened_to_Mayor_Dotour_Once = 484,
    TIME_UNK_133 = 485,
    TIME_UNK_134 = 486,
    TIME_UNK_135 = 487,
    TIME_Obtained_Mountain_Title_Deed = 488,
    TIME_UNK_136 = 489,
    TIME_Spoke_to_Deku_Scrub_Once = 490,
    TIME_Obtained_Swamp_Title_Deed = 491,
    TIME_Spotted_by_Sakon_On_His_Way_to_Hideout = 492,
    TIME_Spotted_by_Pamela_Once = 493,
    TIME_Kicked_Out_by_Pamela = 494,
    TIME_Obtained_Don_Geros_Mask = 495,
    TIME_UNK_137 = 496,
    TIME_Spoke_to_Ikana_Scrub_Once = 497,
    TIME_Gave_Ocean_Title_Deed_to_Ikana_Scrub = 498,
    TIME_UNK_138 = 499,
    TIME_Spoke_to_Zora_Scrub_Once = 500,
    TIME_Obtained_Ocean_Title_Deed = 501,
    TIME_UNK_139 = 502,
    TIME_Spoke_to_Goron_Scrub_Once = 503,
    TIME_Showed_Couples_Mask_to_Mayor = 504,
    TIME_Spoke_to_Gorman_Bros_Wearing_Circus_Leader_Mask_Once = 505,
    PERM_UNK_140 = 506,
    TIME_UNK_141 = 507,
    TIME_UNK_142 = 508,
    TIME_UNK_143 = 509,
    TIME_UNK_144 = 510,
    SCENE_Minigame_Related = 511,
    TIME_UNK_145 = 512,
    TIME_UNK_146 = 513,
    TIME_UNK_147 = 514,
    TIME_Tingle_1 = 515,
    TIME_Tingle_0 = 516,
    TIME_UNK_148 = 517,
    TIME_UNK_149 = 518,
    TIME_UNK_150 = 519,
    TIME_UNK_151 = 520,
    TIME_UNK_152 = 521,
    TIME_UNK_153 = 522,
    TIME_UNK_154 = 523,
    TIME_Spoke_to_Mamamu_Yan_Once = 524,
    TIME_UNK_155 = 525,
    TIME_UNK_156 = 526,
    TIME_UNK_157 = 527,
    PERM_Notebook_Row_Madame_Aroma = 528,
    PERM_Notebook_Row_Mayor_Dotour = 529,
    PERM_Notebook_Row_Cremia = 530,
    PERM_Notebook_Row_Romani = 531,
    PERM_Notebook_Row_Bomb_Shop_Lady = 532,
    PERM_Notebook_Row_Curiosity_Shop = 533,
    PERM_Notebook_Row_Kafei = 534,
    PERM_Notebook_Row_Anju = 535,
    PERM_Notebook_Row_Grog = 536,
    PERM_Notebook_Row_Kamaro = 537,
    PERM_Notebook_Row_Anjus_Mom = 538,
    PERM_Notebook_Row_Toilet = 539,
    PERM_Notebook_Row_Rosa_Sisters = 540,
    PERM_Notebook_Row_Postman = 541,
    PERM_Notebook_Row_Gorman = 542,
    PERM_Notebook_Row_Toto = 543,
    PERM_Notebook_Item_Letter_to_Kafei = 544,
    PERM_Notebook_Item_Promised_to_Meet_Kafei = 545,
    PERM_Notebook_Item_Promised_Anju_Meetup = 546,
    PERM_Notebook_Item_Room_Key = 547,
    PERM_Notebook_Row_Bombers = 548,
    PERM_Notebook_Row_Guru_Guru = 549,
    PERM_Notebook_Row_Shiro = 550,
    PERM_Notebook_Row_Gorman_Brothers = 551,
    PERM_Notebook_Item_Protected_Milk = 552,
    PERM_Notebook_Item_Milk_Bottle = 553,
    PERM_Notebook_Item_Protected_Cows = 554,
    PERM_Notebook_Item_Promised_to_Romani = 555,
    PERM_Notebook_Item_Suns_Mask_Kafei = 556,
    PERM_Notebook_Item_Delivered_Pendant = 557,
    PERM_Notebook_Item_Pendant_of_Memories = 558,
    PERM_Notebook_Item_Sent_Letter_to_Kafei = 559,
    PERM_Notebook_Item_Rosa_Sisters_Piece_of_Heart = 560,
    PERM_Notebook_Item_Mayor_Dotour_Piece_of_Heart = 561,
    PERM_Notebook_Item_Bombers_Code = 562,
    PERM_Obtained_Notebook = 563,
    PERM_Notebook_Item_Chateau_Romani = 564,
    PERM_Notebook_Item_Letter_to_Mama = 565,
    PERM_Notebook_Item_Keaton_Mask = 566,
    PERM_Notebook_Item_Romanis_Mask = 567,
    PERM_Notebook_Item_Garos_Mask = 568,
    PERM_Notebook_Item_Bunny_Mask = 569,
    PERM_Notebook_Item_All_Night_Mask = 570,
    PERM_Notebook_Item_Kafeis_Mask = 571,
    PERM_Notebook_Item_Postman_Piece_of_Heart = 572,
    PERM_Notebook_Item_Four_Giants_Piece_of_Heart = 573,
    PERM_Notebook_Item_Carnival_of_Time_Piece_of_Heart = 574,
    PERM_Notebook_Item_Toilets_Piece_of_Heart = 575,
    PERM_UNK_158 = 576,
    PERM_Notebook_Item_Bremen_Mask = 577,
    PERM_Notebook_Item_Stone_Mask = 578,
    PERM_Notebook_Item_Kamaros_Mask = 579,
    PERM_Notebook_Item_Blast_Mask = 580,
    PERM_Notebook_Item_Couples_Mask = 581,
    PERM_Notebook_Item_Postmans_Hat = 582,
    PERM_Notebook_Item_Circus_Leaders_Mask = 583,
    TIME_Entered_Bombers_Code = 584,
    TIME_UNK_159 = 585,
    TIME_Completed_Bombers_Hide__Seek = 586,
    TIME_Began_Bombers_Hide__Seek_on_Day_1 = 587,
    PERM_UNK_160 = 588,
    TIME_Clock_Town_Deku_Merchant_Landed = 589,
    TIME_Spoke_to_Bomb_Shop_Lady_Once = 590,
    TIME_UNK_161 = 591,
    TIME_Moons_Tear_Fell2 = 592,
    TIME_Obtained_Moons_Tear = 593,
    TIME_Moons_Tear_Fell1 = 594,
    TIME_Shikashi_Automatically_Spoke_to_Link = 595,
    TIME_UNK_162 = 596,
    TIME_UNK_163 = 597,
    TIME_UNK_164 = 598,
    TIME_UNK_165 = 599,
    TIME_Danced_for_Rosa_Sisters_0 = 600,
    TIME_Completed_Bombers_Hide__Seek_Twice = 601,
    TIME_Played_Song_of_Healing_for_Pamelas_Father = 602,
    TIME_Obtained_Room_Key = 603,
    TIME_Shikashi_Automatically_Spoke_to_Goron_or_Zora_Link = 604,
    TIME_UNK_166 = 605,
    TIME_Spoke_to_Gorman_in_Milk_Bar_Once = 606,
    TIME_Overheard_Mr_Barten__Gorman_Conversation_Once = 607,
    TIME_Spoke_to_Ghost_in_Secret_Shrine = 608,
    TIME_Caught_All_Bombers = 609,
    TIME_UNK_167 = 610,
    TIME_Caught_Bomber_5_1 = 611,
    TIME_Caught_Bomber_4_1 = 612,
    TIME_Caught_Bomber_3_1 = 613,
    TIME_Caught_Bomber_2_1 = 614,
    TIME_Caught_Bomber_1_1 = 615,
    TIME_Spoke_to_Goron_Elder_After_Beating_Goht_Once = 616,
    TIME_Moons_Tear_Quest_Related = 617,
    TIME_UNK_168 = 618,
    TIME_UNK_169 = 619,
    TIME_Made_All_Grotto_Gossip_Stones_the_Same_Color = 620,
    PERM_Danced_for_Rosa_Sisters_1 = 621,
    TIME_Bombers = 622,
    PERM_Obtained_Postman_Minigame_Piece_of_Heart = 623,
    TIME_UNK_170 = 624,
    TIME_UNK_171 = 625,
    TIME_UNK_172 = 626,
    TIME_Spoke_to_Zora_Near_Pirates_Fortress_As_Non_Zora_Once = 627,
    TIME_Spoke_to_Zora_Near_Pirates_Fortress_As_Zora_Once = 628,
    TIME_UNK_173 = 629,
    TIME_Spoke_to_Zora_Near_Pinnacle_Rock_As_Zora_Once = 630,
    TIME_UNK_174 = 631,
    PERM_Obtained_Keaton_Quiz_Piece_of_Heart = 632,
    TIME_Killed_Sakon = 633,
    TIME_UNK_175 = 634,
    TIME_Tatl_Spoke_About_Clock_Tower_Entrance = 635,
    TIME_Scarecrow_Fled = 636,
    TIME_Spoke_to_Guru_Guru_As_Deku_Once = 637,
    TIME_Spoke_to_Monkeys_Outside_Lost_Woods = 638,
    TIME_Spoke_to_Lulu_After_Beating_Gyorg_Once = 639,
    TIME_UNK_176 = 640,
    TIME_UNK_177 = 641,
    TIME_Spoke_to_Guy_Outside_Ikana_Hill = 642,
    TIME_Obtained_Keaton_Mask = 643,
    TIME_UNK_178 = 644,
    TIME_Clock_Town_Tatl = 645,
    TIME_UNK_179 = 646,
    TIME_UNK_180 = 647,
    SCENE_Fed_Marine_Lab_Fish_2_Once = 648,
    SCENE_Fed_Marine_Lab_Fish_1_Three_Times = 649,
    SCENE_Fed_Marine_Lab_Fish_1_Twice = 650,
    SCENE_Fed_Marine_Lab_Fish_1_Once = 651,
    PERM_Obtained_Postbox_Piece_of_Heart = 652,
    TIME_UNK_181 = 653,
    TIME_Saved_Bomb_Shop_Lady_1 = 654,
    TIME_Tatl_Angered_by_Sakon = 655,
    TIME_Spoke_to_Postman_on_Final_Night_Once = 656,
    TIME_UNK_182 = 657,
    DISABLE_Disable__Hide_C_Buttons2 = 658,
    PERM_Obtained_Fisherman_Piece_of_Heart = 659,
    DISABLE_Disable__Hide_C_Buttons1 = 660,
    TIME_Played_Song_of_Healing_for_Kamaro = 661,
    SCENE_Fed_Marine_Lab_Fish_2_Three_Times = 662,
    SCENE_Fed_Marine_Lab_Fish_2_Twice = 663,
    TIME_UNK_183 = 664,
    TIME_UNK_184 = 665,
    TIME_Pirate_Related = 666,
    TIME_UNK_185 = 667,
    TIME_Began_Swordsmans_Lesson = 668,
    SCENE_Popped_Jims_Balloon = 669,
    TIME_Pirates_Fled_Hookshot_Room = 670,
    TIME_Dancing_With_Scarecrow = 671,
    TIME_Jim_Left_East_Clock_Town = 672,
    TIME_Obtained_Red_Potion_for_Koume = 673,
    TIME_Obtained_Fierce_Deity_Mask = 674,
    TIME_Reunited_Seahorses = 675,
    TIME_UNK_186 = 676,
    TIME_UNK_187 = 677,
    TIME_UNK_188 = 678,
    TIME_UNK_189 = 679,
    TIME_Postman_Showing_Priority_Mail_to_Madame_Aroma = 680,
    SCENE_Triggered_Fight_With_Captain_Keeta = 681,
    TIME_Killed_All_Eels___Seahorse_Position = 682,
    TIME_UNK_190 = 683,
    TIME_UNK_191 = 684,
    TIME_Overheard_Employees_Room_Conversation = 685,
    SCENE_Bombers_Hide__Seek_in_Progress = 686,
    TIME_Bomber_Related = 687,
    PERM_Entered_Any_Temple_With_Appropriate_Remains = 688,
    TIME_Overheard_Gorman__Mayors_Receptionist_Conversation_Once = 689,
    TIME_Listened_to_Aroma_Toto_Gorman_Once = 690,
    TIME_Overheard_Anju__Link_the_Goron_Conversation_Once = 691,
    TIME_Overheard_Anju__Postman_Conversation_Once = 692,
    TIME_Spoke_to_Town_Scrub_Once_as_Deku = 693,
    TIME_Spoke_to_Bomber_Guarding_Passage = 694,
    TIME_Postman_Delivering_Priority_Mail = 695,
    PERM_UNK_192 = 696,
    PERM_Tatls_Mountain_Hint_Text = 697,
    PERM_Tatls_Ocean_Hint_Text = 698,
    PERM_Tatls_Snowhead_Hint_Text_1 = 699,
    PERM_Tatls_Swamp_Hint_Text = 700,
    PERM_Obtained_Tingle_Picture_Piece_of_Heart = 701,
    TIME_Triggered_Couples_Mask_Cutscene = 702,
    TIME_UNK_193 = 703,
    TIME_UNK_194 = 704,
    TIME_Goron_Shrine_Opened = 705,
    TIME_Tatl_Tells_Link_to_Hurry_at_Clock_Tower = 706,
    TIME_Pushed_Mikau_to_Shore = 707,
    TIME_UNK_195 = 708,
    TIME_UNK_196 = 709,
    TIME_Spoke_to_Postman_Giving_Letter_to_Kafei = 710,
    TIME_Spoke_to_Captured_Monkey_Once = 711,
    TIME_Kafei_in_Sakons_Hideout = 712,
    TIME_Postman_Preparing_to_Flee_Town = 713,
    TIME_Isnt_that_your_horse = 714,
    TIME_UNK_197 = 715,
    TIME_Postman_Delivered_Priority_Mail = 716,
    TIME_Spoke_to_Goron_Guarding_Goron_Shrine_Once = 717,
    TIME_UNK_198 = 718,
    TIME_UNK_199 = 719,
    TIME_Helped_Toilet = 720,
    TIME_Boat_at_Deku_Palace = 721,
    TIME_B_Button_Only_Hides_Others = 722,
    PERM_Obtained_Gossip_Stone_Piece_of_Heart = 723,
    TIME_Letter_to_Kafei_Picked_up_by_Postman = 724,
    TIME_Obtained_Postmans_Hat = 725,
    TIME_Kafei_Leaves_to_See_Anju = 726,
    TIME_Postman_Fled_Town = 727,
    TIME_UNK_200 = 728,
    TIME_UNK_201 = 729,
    TIME_UNK_202 = 730,
    TIME_Saw_Darmani_at_Grave = 731,
    TIME_Sent_Letter_to_Kafei_Late = 732,
    TIME_Sent_Letter_to_Kafei_On_Time = 733,
    TIME_Mikau_Performed_His_Song = 734,
    TIME_Mikau_Requested_Help = 735,
    SCENE_Triggered_Each_Time_a_Scene_Is_Loaded = 736,
    TIME_UNK_203 = 737,
    TIME_UNK_204 = 738,
    TIME_UNK_205 = 739,
    TIME_Spoke_to_Madame_Aroma_as_Deku_Once = 740,
    TIME_UNK_206 = 741,
    TIME_Finished_Gorman_Bros_Race = 742,
    TIME_Started_Gorman_Bros_Race_Once = 743,
    TIME_UNK_207 = 744,
    TIME_UNK_208 = 745,
    TIME_UNK_209 = 746,
    TIME_UNK_210 = 747,
    PERM_Woke_Turtle_Once = 748,
    PERM_UNK_211 = 749,
    TIME_Completed_Deku_Shrine = 750,
    TIME_Beavers_On_Shore_After_First_Two_Races = 751,
    TIME_UNK_212 = 752,
    TIME_UNK_213 = 753,
    TIME_UNK_214 = 754,
    TIME_UNK_215 = 755,
    TIME_UNK_216 = 756,
    TIME_UNK_217 = 757,
    TIME_UNK_218 = 758,
    TIME_UNK_219 = 759,
    TIME_UNK_220 = 760,
    TIME_UNK_221 = 761,
    TIME_UNK_222 = 762,
    TIME_UNK_223 = 763,
    TIME_UNK_224 = 764,
    TIME_UNK_225 = 765,
    TIME_UNK_226 = 766,
    TIME_UNK_227 = 767,
    TIME_UNK_228 = 768,
    TIME_UNK_229 = 769,
    TIME_UNK_230 = 770,
    TIME_UNK_231 = 771,
    TIME_UNK_232 = 772,
    TIME_UNK_233 = 773,
    TIME_UNK_234 = 774,
    TIME_UNK_235 = 775,
    TIME_UNK_236 = 776,
    TIME_UNK_237 = 777,
    TIME_UNK_238 = 778,
    TIME_UNK_239 = 779,
    TIME_UNK_240 = 780,
    TIME_UNK_241 = 781,
    TIME_UNK_242 = 782,
    TIME_UNK_243 = 783,
    TIME_UNK_244 = 784,
    TIME_UNK_245 = 785,
    TIME_UNK_246 = 786,
    TIME_UNK_247 = 787,
    TIME_UNK_248 = 788,
    TIME_UNK_249 = 789,
    TIME_UNK_250 = 790,
    TIME_UNK_251 = 791,
    TIME_UNK_252 = 792,
    TIME_UNK_253 = 793,
    TIME_UNK_254 = 794,
    TIME_UNK_255 = 795,
    TIME_UNK_256 = 796,
    TIME_UNK_257 = 797,
    TIME_UNK_258 = 798,
    TIME_UNK_259 = 799
}
//# sourceMappingURL=EventFlags.d.ts.map