"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRANSLATION_MAP_ADULT = exports.MANIFEST_MAP_ADULT = exports.LUT_MAP_ADULT = void 0;
exports.LUT_MAP_ADULT = new Map();
exports.LUT_MAP_ADULT.set("LUT_DL_WAIST", 0x5090);
exports.LUT_MAP_ADULT.set("LUT_DL_RTHIGH", 0x5098);
exports.LUT_MAP_ADULT.set("LUT_DL_RSHIN", 0x50A0);
exports.LUT_MAP_ADULT.set("LUT_DL_RFOOT", 0x50A8);
exports.LUT_MAP_ADULT.set("LUT_DL_LTHIGH", 0x50B0);
exports.LUT_MAP_ADULT.set("LUT_DL_LSHIN", 0x50B8);
exports.LUT_MAP_ADULT.set("LUT_DL_LFOOT", 0x50C0);
exports.LUT_MAP_ADULT.set("LUT_DL_HEAD", 0x50C8);
exports.LUT_MAP_ADULT.set("LUT_DL_HAT", 0x50D0);
exports.LUT_MAP_ADULT.set("LUT_DL_COLLAR", 0x50D8);
exports.LUT_MAP_ADULT.set("LUT_DL_LSHOULDER", 0x50E0);
exports.LUT_MAP_ADULT.set("LUT_DL_LFOREARM", 0x50E8);
exports.LUT_MAP_ADULT.set("LUT_DL_RSHOULDER", 0x50F0);
exports.LUT_MAP_ADULT.set("LUT_DL_RFOREARM", 0x50F8);
exports.LUT_MAP_ADULT.set("LUT_DL_TORSO", 0x5100);
exports.LUT_MAP_ADULT.set("LUT_DL_LHAND", 0x5108);
exports.LUT_MAP_ADULT.set("LUT_DL_LFIST", 0x5110);
exports.LUT_MAP_ADULT.set("LUT_DL_LHAND_BOTTLE", 0x5118);
exports.LUT_MAP_ADULT.set("LUT_DL_RHAND", 0x5120);
exports.LUT_MAP_ADULT.set("LUT_DL_RFIST", 0x5128);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_SHEATH", 0x5130);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_HILT", 0x5138);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_BLADE", 0x5140);
exports.LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_HILT", 0x5148);
exports.LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_BLADE", 0x5150);
exports.LUT_MAP_ADULT.set("LUT_DL_LONGSWORD_BROKEN", 0x5158);
exports.LUT_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN", 0x5160);
exports.LUT_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR", 0x5168);
exports.LUT_MAP_ADULT.set("LUT_DL_HAMMER", 0x5170);
exports.LUT_MAP_ADULT.set("LUT_DL_BOTTLE", 0x5178);
exports.LUT_MAP_ADULT.set("LUT_DL_BOW", 0x5180);
exports.LUT_MAP_ADULT.set("LUT_DL_OCARINA_TIME", 0x5188);
exports.LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT", 0x5190);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LFOREARM", 0x5198);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LHAND", 0x51A0);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_LFIST", 0x51A8);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RFOREARM", 0x51B0);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RHAND", 0x51B8);
exports.LUT_MAP_ADULT.set("LUT_DL_UPGRADE_RFIST", 0x51C0);
exports.LUT_MAP_ADULT.set("LUT_DL_BOOT_LIRON", 0x51C8);
exports.LUT_MAP_ADULT.set("LUT_DL_BOOT_RIRON", 0x51D0);
exports.LUT_MAP_ADULT.set("LUT_DL_BOOT_LHOVER", 0x51D8);
exports.LUT_MAP_ADULT.set("LUT_DL_BOOT_RHOVER", 0x51E0);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_LFOREARM", 0x51E8);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_LHAND", 0x51F0);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_RFOREARM", 0x51F8);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_RHAND", 0x5200);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_HOOKSHOT", 0x5208);
exports.LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_CHAIN", 0x5210);
exports.LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_HOOK", 0x5218);
exports.LUT_MAP_ADULT.set("LUT_DL_HOOKSHOT_AIM", 0x5220);
exports.LUT_MAP_ADULT.set("LUT_DL_BOW_STRING", 0x5228);
exports.LUT_MAP_ADULT.set("LUT_DL_BLADEBREAK", 0x5230);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_SHEATHED", 0x5238);
exports.LUT_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN_BACK", 0x5258);
exports.LUT_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR_BACK", 0x5268);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_SHIELD_HYLIAN", 0x5278);
exports.LUT_MAP_ADULT.set("LUT_DL_SWORD_SHIELD_MIRROR", 0x5288);
exports.LUT_MAP_ADULT.set("LUT_DL_SHEATH0_HYLIAN", 0x5298);
exports.LUT_MAP_ADULT.set("LUT_DL_SHEATH0_MIRROR", 0x52A8);
exports.LUT_MAP_ADULT.set("LUT_DL_LFIST_SWORD", 0x52B8);
exports.LUT_MAP_ADULT.set("LUT_DL_LFIST_LONGSWORD", 0x52D0);
exports.LUT_MAP_ADULT.set("LUT_DL_LFIST_LONGSWORD_BROKEN", 0x52E8);
exports.LUT_MAP_ADULT.set("LUT_DL_LFIST_HAMMER", 0x5300);
exports.LUT_MAP_ADULT.set("LUT_DL_RFIST_SHIELD_HYLIAN", 0x5310);
exports.LUT_MAP_ADULT.set("LUT_DL_RFIST_SHIELD_MIRROR", 0x5320);
exports.LUT_MAP_ADULT.set("LUT_DL_RFIST_BOW", 0x5330);
exports.LUT_MAP_ADULT.set("LUT_DL_RFIST_HOOKSHOT", 0x5340);
exports.LUT_MAP_ADULT.set("LUT_DL_RHAND_OCARINA_TIME", 0x5350);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_RHAND_BOW", 0x5360);
exports.LUT_MAP_ADULT.set("LUT_DL_FPS_LHAND_HOOKSHOT", 0x5370);
exports.MANIFEST_MAP_ADULT = new Map();
exports.MANIFEST_MAP_ADULT.set("Sheath", 0x19);
exports.MANIFEST_MAP_ADULT.set("FPS.Hookshot", 0x2A);
exports.MANIFEST_MAP_ADULT.set("Hilt.2", 0x35);
exports.MANIFEST_MAP_ADULT.set("Blade.2", 0x41);
exports.MANIFEST_MAP_ADULT.set("Hookshot.Spike", 0x54);
exports.MANIFEST_MAP_ADULT.set("Hookshot", 0x61);
exports.MANIFEST_MAP_ADULT.set("Fist.L", 0x6C);
exports.MANIFEST_MAP_ADULT.set("Fist.R", 0x77);
exports.MANIFEST_MAP_ADULT.set("FPS.Forearm.L", 0x89);
exports.MANIFEST_MAP_ADULT.set("FPS.Forearm.R", 0x9B);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Fist.L", 0xAF);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Fist.R", 0xC3);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Forearm.L", 0xDA);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Forearm.R", 0xF1);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Hand.L", 0x105);
exports.MANIFEST_MAP_ADULT.set("Gauntlet.Hand.R", 0x119);
exports.MANIFEST_MAP_ADULT.set("Bottle.Hand.L", 0x12B);
exports.MANIFEST_MAP_ADULT.set("FPS.Hand.L", 0x13A);
exports.MANIFEST_MAP_ADULT.set("FPS.Hand.R", 0x149);
exports.MANIFEST_MAP_ADULT.set("Bow.String", 0x158);
exports.MANIFEST_MAP_ADULT.set("Bow", 0x160);
exports.MANIFEST_MAP_ADULT.set("Blade.3.Break", 0x172);
exports.MANIFEST_MAP_ADULT.set("Blade.3", 0x17E);
exports.MANIFEST_MAP_ADULT.set("Bottle", 0x189);
exports.MANIFEST_MAP_ADULT.set("Broken.Blade.3", 0x19C);
exports.MANIFEST_MAP_ADULT.set("Foot.2.L", 0x1A9);
exports.MANIFEST_MAP_ADULT.set("Foot.2.R", 0x1B6);
exports.MANIFEST_MAP_ADULT.set("Foot.3.L", 0x1C3);
exports.MANIFEST_MAP_ADULT.set("Foot.3.R", 0x1D0);
exports.MANIFEST_MAP_ADULT.set("Hammer", 0x1DB);
exports.MANIFEST_MAP_ADULT.set("Hilt.3", 0x1E6);
exports.MANIFEST_MAP_ADULT.set("Hookshot.Aiming.Reticule", 0x203);
exports.MANIFEST_MAP_ADULT.set("Hookshot.Chain", 0x216);
exports.MANIFEST_MAP_ADULT.set("Ocarina.2", 0x224);
exports.MANIFEST_MAP_ADULT.set("Shield.2", 0x231);
exports.MANIFEST_MAP_ADULT.set("Shield.3", 0x23E);
exports.MANIFEST_MAP_ADULT.set("Limb 1", 0x249);
exports.MANIFEST_MAP_ADULT.set("Limb 3", 0x254);
exports.MANIFEST_MAP_ADULT.set("Limb 4", 0x25F);
exports.MANIFEST_MAP_ADULT.set("Limb 5", 0x26A);
exports.MANIFEST_MAP_ADULT.set("Limb 6", 0x275);
exports.MANIFEST_MAP_ADULT.set("Limb 7", 0x280);
exports.MANIFEST_MAP_ADULT.set("Limb 8", 0x28B);
exports.MANIFEST_MAP_ADULT.set("Limb 10", 0x297);
exports.MANIFEST_MAP_ADULT.set("Limb 11", 0x2A3);
exports.MANIFEST_MAP_ADULT.set("Limb 12", 0x2AF);
exports.MANIFEST_MAP_ADULT.set("Limb 13", 0x2BB);
exports.MANIFEST_MAP_ADULT.set("Limb 14", 0x2C7);
exports.MANIFEST_MAP_ADULT.set("Limb 15", 0x2D3);
exports.MANIFEST_MAP_ADULT.set("Limb 16", 0x2DF);
exports.MANIFEST_MAP_ADULT.set("Limb 17", 0x2EB);
exports.MANIFEST_MAP_ADULT.set("Limb 18", 0x2F7);
exports.MANIFEST_MAP_ADULT.set("Limb 20", 0x303);
exports.TRANSLATION_MAP_ADULT = new Map();
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_WAIST", "Limb 1");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RTHIGH", "Limb 3");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RSHIN", "Limb 4");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RFOOT", "Limb 5");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LTHIGH", "Limb 6");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LSHIN", "Limb 7");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LFOOT", "Limb 8");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HEAD", "Limb 10");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HAT", "Limb 11");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_COLLAR", "Limb 12");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LSHOULDER", "Limb 13");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LFOREARM", "Limb 14");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RSHOULDER", "Limb 16");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RFOREARM", "Limb 17");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_TORSO", "Limb 20");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LHAND", "Limb 15");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LFIST", "Fist.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LHAND_BOTTLE", "Bottle.Hand.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RHAND", "Limb 18");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_RFIST", "Fist.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_SHEATH", "Sheath");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_HILT", "Hilt.2");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_SWORD_BLADE", "Blade.2");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_HILT", "Hilt.3");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_BLADE", "Blade.3");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_LONGSWORD_BROKEN", "Broken.Blade.3");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_SHIELD_HYLIAN", "Shield.2");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_SHIELD_MIRROR", "Shield.3");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HAMMER", "Hammer");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOTTLE", "Bottle");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOW", "Bow");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_OCARINA_TIME", "Ocarina.2");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT", "Hookshot");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LFOREARM", "Gauntlet.Forearm.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LHAND", "Gauntlet.Hand.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_LFIST", "Gauntlet.Fist.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RFOREARM", "Gauntlet.Forearm.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RHAND", "Gauntlet.Hand.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_UPGRADE_RFIST", "Gauntlet.Fist.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_LIRON", "Foot.2.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_RIRON", "Foot.2.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_LHOVER", "Foot.3.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOOT_RHOVER", "Foot.3.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_LFOREARM", "FPS.Forearm.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_LHAND", "FPS.Hand.L");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_RFOREARM", "FPS.Forearm.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_RHAND", "FPS.Hand.R");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_FPS_HOOKSHOT", "FPS.Hookshot");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_CHAIN", "Hookshot.Chain");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_HOOK", "Hookshot.Spike");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_HOOKSHOT_AIM", "Hookshot.Aiming.Reticule");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BOW_STRING", "Bow.String");
exports.TRANSLATION_MAP_ADULT.set("LUT_DL_BLADEBREAK", "Blade.3.Break");
//# sourceMappingURL=adult_map.js.map