/// <reference types="node" />
import { IModLoaderAPI } from "modloader64_api/IModLoaderAPI";
export declare class ManifestBuffer {
    buf: Buffer;
    cur: number;
    start: number;
    advance: number;
    constructor(buf: Buffer, start?: number);
    GoTo(num: number): void;
    Write32(data: number, relative?: boolean): void;
    Hi32(data: number): void;
    Lo32(data: number): void;
    HexString(hex: string): void;
    Write8(num: number): void;
    SetAdvance(num: number): void;
    Write16(num: number): void;
    Float(num: number): void;
}
export interface IManifest {
    repoint(ModLoader: IModLoaderAPI, rom: Buffer, model: Buffer): boolean;
    inject(ModLoader: IModLoaderAPI, rom: Buffer, model: Buffer, nocompress?: boolean, obj_id?: number): number;
}
//# sourceMappingURL=Z64ManifestBuffer.d.ts.map