/// <reference types="node" />
import { Display_List_Command } from './data/display_list';
import { Skeleton } from './data/skeleton';
import { Z64LibSupportedGames } from './Z64LibSupportedGames';
export declare class zzstatic_cache {
    cache: Display_List_Command[];
    skeleton: Skeleton;
    hash: string;
    doRepoint(index: number, buf: Buffer, rebase?: number): Buffer;
}
export declare class zzstatic {
    game: Z64LibSupportedGames;
    constructor(game: Z64LibSupportedGames);
    addToCache(c: zzstatic_cache): void;
    generateCache(buf: Buffer): zzstatic_cache;
    doRepoint(buf: Buffer, index: number, cache?: boolean, rebase?: number): Buffer;
}
//# sourceMappingURL=zzstatic.d.ts.map