import { IActorManager, IZ64Core } from "@Z64Lib/API/Common/Z64API";
import { ActorCategory, IActor } from "@Z64Lib/API/imports";
import { IModLoaderAPI } from "modloader64_api/IModLoaderAPI";
export declare class EventSystem implements IActorManager {
    ModLoader: IModLoaderAPI;
    core: IZ64Core;
    cmd_pointer: number;
    actors: Map<ActorCategory, IActor[]>;
    allActors: Map<number, IActor>;
    objects: Map<number, number>;
    constructor(ModLoader: IModLoaderAPI, core: IZ64Core, cmd_pointer: number);
    createIActorFromPointer(pointer: number): IActor;
    getActors(category: ActorCategory): IActor[];
    private processEvent;
    onTick(): void;
}
//# sourceMappingURL=EventSystem.d.ts.map