/// <reference types="node" />
import IMemory from 'modloader64_api/IMemory';
import * as Z64API from '../../API/imports';
export declare class DungeonItemManager implements Z64API.IDungeonItemManager {
    emulator: IMemory;
    DEKU_TREE: Z64API.IDungeonItemContainer;
    DODONGOS_CAVERN: Z64API.IDungeonItemContainer;
    JABJ_JABUS_BELLY: Z64API.IDungeonItemContainer;
    FOREST_TEMPLE: Z64API.IDungeonItemContainer;
    FIRE_TEMPLE: Z64API.IDungeonItemContainer;
    WATER_TEMPLE: Z64API.IDungeonItemContainer;
    SPIRIT_TEMPLE: Z64API.IDungeonItemContainer;
    SHADOW_TEMPLE: Z64API.IDungeonItemContainer;
    BOTTOM_OF_THE_WELL: Z64API.IDungeonItemContainer;
    ICE_CAVERN: Z64API.IDungeonItemContainer;
    GANONS_CASTLE: Z64API.IDungeonItemContainer;
    WOODFALL_TEMPLE: Z64API.IDungeonItemContainer;
    SNOWHEAD_TEMPLE: Z64API.IDungeonItemContainer;
    GREAT_BAY_TEMPLE: Z64API.IDungeonItemContainer;
    STONE_TOWER_TEMPLE: Z64API.IDungeonItemContainer;
    constructor(emulator: IMemory);
    setRawBuffer(buf: Buffer): void;
    getRawBuffer(): Buffer;
}
export declare class DungeonItemContainer implements Z64API.IDungeonItemContainer {
    private addr;
    private emulator;
    private index;
    constructor(emulator: IMemory, index: number);
    get bossKey(): boolean;
    set bossKey(bool: boolean);
    get compass(): boolean;
    set compass(bool: boolean);
    get map(): boolean;
    set map(bool: boolean);
}
//# sourceMappingURL=DungeonItemManager.d.ts.map