import { IZ64Core } from '@Z64Lib/API/Common/Z64API';
import IMemory from 'modloader64_api/IMemory';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import * as Z64API from '../../API/imports';
export declare const enum SwordBitMap {
    KOKIRI_OOT = 7,
    MASTER = 6,
    GIANT = 5,
    BIGGORON = 5,
    KOKIRI_MM = 7,
    GILDED = 6
}
export declare class SwordsEquipment extends JSONTemplate implements Z64API.Z64.ISwords {
    private emulator;
    private biggoron_flag_addr;
    private biggoron_dmg_addr;
    private core;
    jsonFields: string[];
    constructor(emulator: IMemory, core: IZ64Core);
    get kokiriSword(): boolean;
    set kokiriSword(bool: boolean);
    get masterSword(): boolean;
    set masterSword(bool: boolean);
    get giantKnife(): boolean;
    set giantKnife(bool: boolean);
    get biggoronSword(): boolean;
    set biggoronSword(bool: boolean);
    get swordLevel(): Z64API.Z64.Sword;
    set swordLevel(level: Z64API.Z64.Sword);
    updateSwordonB(): void;
}
//# sourceMappingURL=SwordsEquipment.d.ts.map