import { Z64LibSupportedGames } from '../../../API/Utilities/Z64LibSupportedGames';
export declare let Z64_GLOBAL_PTR: number;
export declare let Z64_SAVE: number;
export declare let Z64_PLAYER: number;
export declare let Z64_GAME: Z64LibSupportedGames;
export declare let Z64_ACTOR_ROTATION_OFFSET: number;
export declare let Z64_ACTOR_ROTATION_SIZE: number;
export declare let Z64_ACTOR_POSITION_OFFSET: number;
export declare let Z64_ACTOR_POSITION_SIZE: number;
export declare let Z64_DUNGEON_ITEM_ADDR: number;
export declare let Z64_OVERLAY_TABLE: number;
export declare let Z64_SCENE_TABLE: number;
export declare let Z64_ENTRANCE_TABLE: number;
export declare let Z64_RESTRICTION_TABLE: number;
export declare let Z64_GUI_SHOWN: number;
export declare let Z64_PLAYER_STATE: number;
export declare let Z64_PLAYER_STATE2: number;
export declare let Z64_PLAYER_RAWANIM: number;
export declare let Z64_PAUSED: number;
export declare let Z64_DMAROM: number;
export declare let Z64_SPAWN_WITH_ADDRESS_POINTER: number;
export declare let Z64_EQUIP_ADDR: number;
export declare let Z64_GSEGMENTS: number;
export declare let Z64_IS_DEBUG: boolean;
export declare let Z64_IS_RANDOMIZER: boolean;
export declare function setupOot(): void;
export declare function setupOotDBG(): void;
export declare function setupMM(): void;
export declare function markAsRandomizer(): void;
/**
 * Internal function please don't call.
 * @param pointer
 */
export declare function setSpawnWithAddrPointer(pointer: number): void;
//# sourceMappingURL=GameAliases.d.ts.map