/// <reference types="node" />
import { IGlobalContext, TransitionState } from "@Z64Lib/API/MM/MMAPI";
import { IModLoaderAPI } from "modloader64_api/IModLoaderAPI";
import * as Z64API from '../../API/imports';
export declare class GlobalContext implements IGlobalContext {
    ModLoader: IModLoaderAPI;
    viewStruct: Z64API.Z64.IViewStruct;
    instance: number;
    save_context: number;
    continue_state: boolean;
    jsonFields: string[];
    constructor(ModLoader: IModLoaderAPI);
    get transitionState(): TransitionState;
    get scene(): number;
    get scene_framecount(): number;
    get room(): number;
    get liveSceneData_switch(): Buffer;
    set liveSceneData_switch(buf: Buffer);
    get liveSceneData_chests(): Buffer;
    set liveSceneData_chests(buf: Buffer);
    get liveSceneData_clear(): Buffer;
    set liveSceneData_clear(buf: Buffer);
    get liveSceneData_temp(): Buffer;
    set liveSceneData_temp(buf: Buffer);
    get liveSceneData_collectable(): Buffer;
    set liveSceneData_collectable(buf: Buffer);
    getSaveDataForCurrentScene(): Buffer;
    writeSaveDataForCurrentScene(buf: Buffer): void;
}
//# sourceMappingURL=GlobalContext.d.ts.map