/// <reference types="node" />
import IMemory from 'modloader64_api/IMemory';
import * as Z64API from '../../API/imports';
export declare class KeyManager implements Z64API.Z64.IKeyManager {
    private readonly KEY_ARRAY_ADDR;
    private readonly KEY_ARRAY_SIZE;
    private readonly emulator;
    constructor(emulator: IMemory);
    getKeyCountForIndex(index: number): number;
    setKeyCountByIndex(index: number, count: number): void;
    getRawKeyBuffer(): Buffer;
}
//# sourceMappingURL=KeyManager.d.ts.map