import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import IMemory from 'modloader64_api/IMemory';
import * as Z64API from '../../API/imports';
export declare class OotHelper extends JSONTemplate implements Z64API.OoT.IOotHelper {
    private save;
    private global;
    private link;
    private emu;
    constructor(save: Z64API.OoT.ISaveContext, global: Z64API.OoT.IGlobalContext, link: Z64API.Z64.ILink, memory: IMemory);
    isTitleScreen(): boolean;
    isSceneNumberValid(): boolean;
    isLinkEnteringLoadingZone(): boolean;
    isPaused(): boolean;
    isInterfaceShown(): boolean;
    Player_InBlockingCsMode(): boolean;
    toJSON(): any;
}
//# sourceMappingURL=OotHelper.d.ts.map