"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EquipmentTests = void 0;
const Z64API = __importStar(require("../../../API/imports"));
class EquipmentTests {
    logger;
    core;
    tests = new Array();
    tick;
    isTicking = false;
    constructor(logger, core) {
        this.logger = logger;
        this.core = core;
        let fn = (field) => {
            this.tests.push(() => {
                this.core.save.inventory[field] = 1 /* Z64API.Z64.AmmoUpgrade.BASE */;
                this.logger.info(field + ' 1');
            });
            this.tests.push(() => {
                this.core.save.inventory[field] = 2 /* Z64API.Z64.AmmoUpgrade.UPGRADED */;
                this.logger.info(field + ' 2');
            });
            this.tests.push(() => {
                this.core.save.inventory[field] = 3 /* Z64API.Z64.AmmoUpgrade.MAX */;
                this.logger.info(field + ' 3');
            });
            this.tests.push(() => {
                this.core.save.inventory[field] = 0 /* Z64API.Z64.AmmoUpgrade.NONE */;
                this.logger.info(field + ' 0');
            });
        };
        fn('bombBag');
        fn('bulletBag');
        fn('dekuNutsCapacity');
        fn('dekuSticksCapacity');
        fn('quiver');
        fn('strength');
        fn('swimming');
        fn('wallet');
    }
    startTicking() {
        this.tick = setInterval(() => {
            if (this.tests.length > 0) {
                let test = this.tests.shift();
                test();
            }
        }, 10 * 1000);
        this.isTicking = true;
    }
}
exports.EquipmentTests = EquipmentTests;
//# sourceMappingURL=EquipmentTests.js.map