"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MMAssemblyBuffers = exports.MMAssembly = void 0;
const CommandBuffer_mm_1 = require("./CommandBuffer_mm");
class MMAssembly {
    commandBuffer = CommandBuffer_mm_1.CommandBuffer_mm;
    VERSIONS = new Map([
        [
            0,
            new Map([
                ["Actor_DestroyCave", 0x800B6968],
                ["Actor_SpawnEntryCave", 0x800BB2D0],
                ["Actor_SpawnTransitionActorCave", 0x800BB140],
                ["Actor_UpdateCave", 0x800B9744],
                ["Actor_SpawnCave", 0x800BAC60],
                ["Actor_SpawnWithParentAndCutsceneCave", 0x800BAE14],
                ["CommandBuffer_Update", 0x801737A0],
                ["Object_SpawnCave", 0xDEADBEEF],
                ["SuperDynaPoly_AllocPolyList", 0xDEADBEEF],
                ["SuperDynaPoly_AllocVtxList", 0xDEADBEEF],
                ["SuperDynaSSNodeList_Alloc", 0xDEADBEEF],
                ["Overlay_Relocate", 0x800849A0],
                ["Actor_AddToCategory", 0x800BAAB4],
                ["Actor_RemoveFromCategory", 0x800BAB24],
            ]),
        ],
    ]);
}
exports.MMAssembly = MMAssembly;
//["Actor_SpawnEntryCave", 0x800B92D8],
//["Actor_SpawnEntryCave2", 0x800B9430],
exports.MMAssemblyBuffers = new MMAssembly();
//# sourceMappingURL=MMAssembly.js.map