"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRANSLATION_MAP_HUMAN = exports.MANIFEST_MAP_HUMAN = exports.LUT_MAP_HUMAN = void 0;
exports.LUT_MAP_HUMAN = new Map();
exports.LUT_MAP_HUMAN.set("LUT_DL_WAIST", 0x5110);
exports.LUT_MAP_HUMAN.set("LUT_DL_RTHIGH", 0x5118);
exports.LUT_MAP_HUMAN.set("LUT_DL_RSHIN", 0x5120);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFOOT", 0x5128);
exports.LUT_MAP_HUMAN.set("LUT_DL_LTHIGH", 0x5130);
exports.LUT_MAP_HUMAN.set("LUT_DL_LSHIN", 0x5138);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFOOT", 0x5140);
exports.LUT_MAP_HUMAN.set("LUT_DL_HEAD", 0x5148);
exports.LUT_MAP_HUMAN.set("LUT_DL_HAT", 0x5150);
exports.LUT_MAP_HUMAN.set("LUT_DL_COLLAR", 0x5158);
exports.LUT_MAP_HUMAN.set("LUT_DL_LSHOULDER", 0x5160);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFOREARM", 0x5168);
exports.LUT_MAP_HUMAN.set("LUT_DL_RSHOULDER", 0x5170);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFOREARM", 0x5178);
exports.LUT_MAP_HUMAN.set("LUT_DL_TORSO", 0x5180);
exports.LUT_MAP_HUMAN.set("LUT_DL_LHAND", 0x5188);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFIST", 0x5190);
exports.LUT_MAP_HUMAN.set("LUT_DL_LHAND_BOTTLE", 0x5198);
exports.LUT_MAP_HUMAN.set("LUT_DL_RHAND", 0x51A0);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFIST", 0x51A8);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_FACE", 0x51B0);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR", 0x51B8);
exports.LUT_MAP_HUMAN.set("LUT_DL_BLADE_GFSWORD", 0x51C0);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHEATH_GILDED", 0x51C8);
exports.LUT_MAP_HUMAN.set("LUT_DL_HILT_GILDED", 0x51D0);
exports.LUT_MAP_HUMAN.set("LUT_DL_BLADE_GILDED", 0x51D8);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHEATH_RAZOR", 0x51E0);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_HERO", 0x51E8);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHEATH_KOKIRI", 0x51F0);
exports.LUT_MAP_HUMAN.set("LUT_DL_HOOKSHOT", 0x51F8);
exports.LUT_MAP_HUMAN.set("LUT_DL_BOW", 0x5200);
exports.LUT_MAP_HUMAN.set("LUT_DL_HOOKSHOT_SPIKE", 0x5208);
exports.LUT_MAP_HUMAN.set("LUT_DL_OCARINA_TIME", 0x5210);
exports.LUT_MAP_HUMAN.set("LUT_DL_FPS_RIGHT_ARM", 0x5218);
exports.LUT_MAP_HUMAN.set("LUT_DL_BOW_STRING", 0x5220);
exports.LUT_MAP_HUMAN.set("DL_SHIELD_HERO_BACK", 0x5228);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_HERO_BACK", 0x5238);
exports.LUT_MAP_HUMAN.set("DL_SHIELD_MIRROR_COMBINED", 0x5240);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_COMBINED", 0x5250);
exports.LUT_MAP_HUMAN.set("DL_SHIELD_MIRROR_BACK", 0x5258);
exports.LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_BACK", 0x5268);
exports.LUT_MAP_HUMAN.set("DL_SWORD_KOKIRI_SHEATHED", 0x5270);
exports.LUT_MAP_HUMAN.set("LUT_DL_SWORD_KOKIRI_SHEATHED", 0x5290);
exports.LUT_MAP_HUMAN.set("DL_SWORD_RAZOR_SHEATHED", 0x5298);
exports.LUT_MAP_HUMAN.set("LUT_DL_SWORD_RAZOR_SHEATHED", 0x52B8);
exports.LUT_MAP_HUMAN.set("DL_SWORD_GILDED_SHEATHED", 0x52C0);
exports.LUT_MAP_HUMAN.set("LUT_DL_SWORD_GILDED_SHEATHED", 0x52E0);
exports.LUT_MAP_HUMAN.set("DL_LFIST_KOKIRI_SWORD", 0x52E8);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFIST_KOKIRI_SWORD", 0x5300);
exports.LUT_MAP_HUMAN.set("DL_LFIST_RAZOR_SWORD", 0x5308);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFIST_RAZOR_SWORD", 0x5320);
exports.LUT_MAP_HUMAN.set("DL_LFIST_GILDED_SWORD", 0x5328);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFIST_GILDED_SWORD", 0x5340);
exports.LUT_MAP_HUMAN.set("DL_LFIST_GFSWORD_SWORD", 0x5348);
exports.LUT_MAP_HUMAN.set("LUT_DL_LFIST_GFSWORD_SWORD", 0x5358);
exports.LUT_MAP_HUMAN.set("LUT_DL_BLADE_GFSWORD", 0x5360);
exports.LUT_MAP_HUMAN.set("DL_RFIST_SHIELD_HERO", 0x5368);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFIST_SHIELD_HERO", 0x5378);
exports.LUT_MAP_HUMAN.set("DL_RFIST_SHIELD_MIRROR", 0x5380);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFIST_SHIELD_MIRROR", 0x5390);
exports.LUT_MAP_HUMAN.set("DL_RFIST_HOOKSHOT", 0x5398);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFIST_HOOKSHOT", 0x53A8);
exports.LUT_MAP_HUMAN.set("DL_RFIST_BOW", 0x53B0);
exports.LUT_MAP_HUMAN.set("LUT_DL_RFIST_BOW", 0x53C0);
exports.LUT_MAP_HUMAN.set("DL_RHAND_OCARINA_TIME", 0x53C8);
exports.LUT_MAP_HUMAN.set("LUT_DL_RHAND_OCARINA_TIME", 0x53D8);
exports.LUT_MAP_HUMAN.set("DL_FPS_RARM_HOOKSHOT", 0x53E0);
exports.LUT_MAP_HUMAN.set("LUT_DL_FPS_RARM_HOOKSHOT", 0x53F0);
exports.LUT_MAP_HUMAN.set("DL_FPS_RARM_BOW", 0x53F8);
exports.LUT_MAP_HUMAN.set("LUT_DL_FPS_RARM_BOW", 0x5408);
exports.LUT_MAP_HUMAN.set("DL_DF_COMMAND", 0x5410);
exports.LUT_MAP_HUMAN.set("LUT_DL_DF_COMMAND", 0x5418);
exports.MANIFEST_MAP_HUMAN = new Map();
exports.MANIFEST_MAP_HUMAN.set("Sheath.1", 0x1B);
exports.MANIFEST_MAP_HUMAN.set("FPS.Hookshot", 0xFE);
exports.MANIFEST_MAP_HUMAN.set("Hilt.2", 0xCF);
exports.MANIFEST_MAP_HUMAN.set("Blade.2", 0xB9);
exports.MANIFEST_MAP_HUMAN.set("Hookshot.Spike", 0x40);
exports.MANIFEST_MAP_HUMAN.set("Hookshot", 0x55);
exports.MANIFEST_MAP_HUMAN.set("Fist.L", 0x17D);
exports.MANIFEST_MAP_HUMAN.set("Fist.R", 0x188);
exports.MANIFEST_MAP_HUMAN.set("FPS.Forearm.R", 0x2D);
exports.MANIFEST_MAP_HUMAN.set("GFSword", 0x94);
exports.MANIFEST_MAP_HUMAN.set("Hilt.1", 0xC4);
exports.MANIFEST_MAP_HUMAN.set("Blade.1", 0xAD);
exports.MANIFEST_MAP_HUMAN.set("Bottle.Content", 0xE2);
exports.MANIFEST_MAP_HUMAN.set("Sheath.2", 0x10B);
exports.MANIFEST_MAP_HUMAN.set("Sheath.3", 0x118);
exports.MANIFEST_MAP_HUMAN.set("Bottle.Hand.L", 0x172);
exports.MANIFEST_MAP_HUMAN.set("Bow.String", 0x64);
exports.MANIFEST_MAP_HUMAN.set("Bow", 0x48);
exports.MANIFEST_MAP_HUMAN.set("Blade.3", 0x7D);
exports.MANIFEST_MAP_HUMAN.set("Bottle", 0xED);
exports.MANIFEST_MAP_HUMAN.set("DekuStick", 0x126);
exports.MANIFEST_MAP_HUMAN.set("Hilt.3", 0x88);
exports.MANIFEST_MAP_HUMAN.set("Mask.Deity", 0x135);
exports.MANIFEST_MAP_HUMAN.set("Mask.Deku", 0x143);
exports.MANIFEST_MAP_HUMAN.set("Mask.Goron", 0x152);
exports.MANIFEST_MAP_HUMAN.set("Mask.Zora", 0x160);
exports.MANIFEST_MAP_HUMAN.set("Ocarina.2", 0x196);
exports.MANIFEST_MAP_HUMAN.set("Shield.2", 0x71);
exports.MANIFEST_MAP_HUMAN.set("Shield.3", 0xA1);
exports.MANIFEST_MAP_HUMAN.set("Limb 1", 0x1A1);
exports.MANIFEST_MAP_HUMAN.set("Limb 3", 0x1AC);
exports.MANIFEST_MAP_HUMAN.set("Limb 4", 0x1B7);
exports.MANIFEST_MAP_HUMAN.set("Limb 5", 0x1C2);
exports.MANIFEST_MAP_HUMAN.set("Limb 6", 0x1CD);
exports.MANIFEST_MAP_HUMAN.set("Limb 7", 0x1D8);
exports.MANIFEST_MAP_HUMAN.set("Limb 8", 0x1E3);
exports.MANIFEST_MAP_HUMAN.set("Limb 10", 0x1EF);
exports.MANIFEST_MAP_HUMAN.set("Limb 11", 0x1FB);
exports.MANIFEST_MAP_HUMAN.set("Limb 12", 0x207);
exports.MANIFEST_MAP_HUMAN.set("Limb 13", 0x213);
exports.MANIFEST_MAP_HUMAN.set("Limb 14", 0x21F);
exports.MANIFEST_MAP_HUMAN.set("Limb 15", 0x22B);
exports.MANIFEST_MAP_HUMAN.set("Limb 16", 0x237);
exports.MANIFEST_MAP_HUMAN.set("Limb 17", 0x243);
exports.MANIFEST_MAP_HUMAN.set("Limb 18", 0x24F);
exports.MANIFEST_MAP_HUMAN.set("Limb 19", 0x25B);
exports.MANIFEST_MAP_HUMAN.set("Limb 20", 0x267);
exports.TRANSLATION_MAP_HUMAN = new Map();
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_KOKIRI", "Sheath.1");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_FPS_HOOKSHOT", "FPS.Hookshot");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_RAZOR", "Hilt.2");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_RAZOR", "Blade.2");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HOOKSHOT_SPIKE", "Hookshot.Spike");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HOOKSHOT", "Hookshot");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_FPS_RIGHT_ARM", "FPS.Forearm.R");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_GFSWORD", "GFSword");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_KOKIRI", "Hilt.1");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_KOKIRI", "Blade.1");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BOTTLE_CONTENT", "Bottle.Content");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_RAZOR", "Sheath.2");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_GILDED", "Sheath.3");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BOW_STRING", "Bow.String");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BOW", "Bow");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_GILDED", "Blade.3");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_BOTTLE", "Bottle");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_DEKU_STICK", "DekuStick");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_GILDED", "Hilt.3");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_DEITY_MASK", "Mask.Deity");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_DEKU_MASK", "Mask.Deku");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_GORON_MASK", "Mask.Goron");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_ZORA_MASK", "Mask.Zora");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_OCARINA_TIME", "Ocarina.2");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_HERO", "Shield.2");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR", "Shield.3");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_FACE", "Shield.3.Face");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_WAIST", "Limb 1");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RTHIGH", "Limb 3");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RSHIN", "Limb 4");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RFOOT", "Limb 5");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LTHIGH", "Limb 6");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LSHIN", "Limb 7");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LFOOT", "Limb 8");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HEAD", "Limb 10");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_HAT", "Limb 11");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_COLLAR", "Limb 12");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LSHOULDER", "Limb 13");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LFOREARM", "Limb 14");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RSHOULDER", "Limb 16");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RFOREARM", "Limb 17");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_TORSO", "Limb 20");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LHAND", "Limb 15");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LFIST", "Fist.L");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_LHAND_BOTTLE", "Bottle.Hand.L");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RHAND", "Limb 18");
exports.TRANSLATION_MAP_HUMAN.set("LUT_DL_RFIST", "Fist.R");
//# sourceMappingURL=human_map.js.map