export const LUT_MAP_HUMAN: Map<string, number> = new Map<string, number>();
LUT_MAP_HUMAN.set("LUT_DL_WAIST", 0x5110);
LUT_MAP_HUMAN.set("LUT_DL_RTHIGH", 0x5118);
LUT_MAP_HUMAN.set("LUT_DL_RSHIN", 0x5120);
LUT_MAP_HUMAN.set("LUT_DL_RFOOT", 0x5128);
LUT_MAP_HUMAN.set("LUT_DL_LTHIGH", 0x5130);
LUT_MAP_HUMAN.set("LUT_DL_LSHIN", 0x5138);
LUT_MAP_HUMAN.set("LUT_DL_LFOOT", 0x5140);
LUT_MAP_HUMAN.set("LUT_DL_HEAD", 0x5148);
LUT_MAP_HUMAN.set("LUT_DL_HAT", 0x5150);
LUT_MAP_HUMAN.set("LUT_DL_COLLAR", 0x5158);
LUT_MAP_HUMAN.set("LUT_DL_LSHOULDER", 0x5160);
LUT_MAP_HUMAN.set("LUT_DL_LFOREARM", 0x5168);
LUT_MAP_HUMAN.set("LUT_DL_RSHOULDER", 0x5170);
LUT_MAP_HUMAN.set("LUT_DL_RFOREARM", 0x5178);
LUT_MAP_HUMAN.set("LUT_DL_TORSO", 0x5180);
LUT_MAP_HUMAN.set("LUT_DL_LHAND", 0x5188);
LUT_MAP_HUMAN.set("LUT_DL_LFIST", 0x5190);
LUT_MAP_HUMAN.set("LUT_DL_LHAND_BOTTLE", 0x5198);
LUT_MAP_HUMAN.set("LUT_DL_RHAND", 0x51A0);
LUT_MAP_HUMAN.set("LUT_DL_RFIST", 0x51A8);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_FACE", 0x51B0);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR", 0x51B8);
LUT_MAP_HUMAN.set("LUT_DL_BLADE_GFSWORD", 0x51C0);
LUT_MAP_HUMAN.set("LUT_DL_SHEATH_GILDED", 0x51C8);
LUT_MAP_HUMAN.set("LUT_DL_HILT_GILDED", 0x51D0);
LUT_MAP_HUMAN.set("LUT_DL_BLADE_GILDED", 0x51D8);
LUT_MAP_HUMAN.set("LUT_DL_SHEATH_RAZOR", 0x51E0);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_HERO", 0x51E8);
LUT_MAP_HUMAN.set("LUT_DL_SHEATH_KOKIRI", 0x51F0);
LUT_MAP_HUMAN.set("LUT_DL_HOOKSHOT", 0x51F8);
LUT_MAP_HUMAN.set("LUT_DL_BOW", 0x5200);
LUT_MAP_HUMAN.set("LUT_DL_HOOKSHOT_SPIKE", 0x5208);
LUT_MAP_HUMAN.set("LUT_DL_OCARINA_TIME", 0x5210);
LUT_MAP_HUMAN.set("LUT_DL_FPS_RIGHT_ARM", 0x5218);
LUT_MAP_HUMAN.set("LUT_DL_BOW_STRING", 0x5220);
LUT_MAP_HUMAN.set("DL_SHIELD_HERO_BACK", 0x5228);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_HERO_BACK", 0x5238);
LUT_MAP_HUMAN.set("DL_SHIELD_MIRROR_COMBINED", 0x5240);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_COMBINED", 0x5250);
LUT_MAP_HUMAN.set("DL_SHIELD_MIRROR_BACK", 0x5258);
LUT_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_BACK", 0x5268);
LUT_MAP_HUMAN.set("DL_SWORD_KOKIRI_SHEATHED", 0x5270);
LUT_MAP_HUMAN.set("LUT_DL_SWORD_KOKIRI_SHEATHED", 0x5290);
LUT_MAP_HUMAN.set("DL_SWORD_RAZOR_SHEATHED", 0x5298);
LUT_MAP_HUMAN.set("LUT_DL_SWORD_RAZOR_SHEATHED", 0x52B8);
LUT_MAP_HUMAN.set("DL_SWORD_GILDED_SHEATHED", 0x52C0);
LUT_MAP_HUMAN.set("LUT_DL_SWORD_GILDED_SHEATHED", 0x52E0);
LUT_MAP_HUMAN.set("DL_LFIST_KOKIRI_SWORD", 0x52E8);
LUT_MAP_HUMAN.set("LUT_DL_LFIST_KOKIRI_SWORD", 0x5300);
LUT_MAP_HUMAN.set("DL_LFIST_RAZOR_SWORD", 0x5308);
LUT_MAP_HUMAN.set("LUT_DL_LFIST_RAZOR_SWORD", 0x5320);
LUT_MAP_HUMAN.set("DL_LFIST_GILDED_SWORD", 0x5328);
LUT_MAP_HUMAN.set("LUT_DL_LFIST_GILDED_SWORD", 0x5340);
LUT_MAP_HUMAN.set("DL_LFIST_GFSWORD_SWORD", 0x5348);
LUT_MAP_HUMAN.set("LUT_DL_LFIST_GFSWORD_SWORD", 0x5358);
LUT_MAP_HUMAN.set("LUT_DL_BLADE_GFSWORD", 0x5360);
LUT_MAP_HUMAN.set("DL_RFIST_SHIELD_HERO", 0x5368);
LUT_MAP_HUMAN.set("LUT_DL_RFIST_SHIELD_HERO", 0x5378);
LUT_MAP_HUMAN.set("DL_RFIST_SHIELD_MIRROR", 0x5380);
LUT_MAP_HUMAN.set("LUT_DL_RFIST_SHIELD_MIRROR", 0x5390);
LUT_MAP_HUMAN.set("DL_RFIST_HOOKSHOT", 0x5398);
LUT_MAP_HUMAN.set("LUT_DL_RFIST_HOOKSHOT", 0x53A8);
LUT_MAP_HUMAN.set("DL_RFIST_BOW", 0x53B0);
LUT_MAP_HUMAN.set("LUT_DL_RFIST_BOW", 0x53C0);
LUT_MAP_HUMAN.set("DL_RHAND_OCARINA_TIME", 0x53C8);
LUT_MAP_HUMAN.set("LUT_DL_RHAND_OCARINA_TIME", 0x53D8);
LUT_MAP_HUMAN.set("DL_FPS_RARM_HOOKSHOT", 0x53E0);
LUT_MAP_HUMAN.set("LUT_DL_FPS_RARM_HOOKSHOT", 0x53F0);
LUT_MAP_HUMAN.set("DL_FPS_RARM_BOW", 0x53F8);
LUT_MAP_HUMAN.set("LUT_DL_FPS_RARM_BOW", 0x5408);
LUT_MAP_HUMAN.set("DL_DF_COMMAND", 0x5410);
LUT_MAP_HUMAN.set("LUT_DL_DF_COMMAND", 0x5418);
export const MANIFEST_MAP_HUMAN: Map<string, number> = new Map<string, number>();
MANIFEST_MAP_HUMAN.set("Sheath.1", 0x1B);
MANIFEST_MAP_HUMAN.set("FPS.Hookshot", 0xFE);
MANIFEST_MAP_HUMAN.set("Hilt.2", 0xCF);
MANIFEST_MAP_HUMAN.set("Blade.2", 0xB9);
MANIFEST_MAP_HUMAN.set("Hookshot.Spike", 0x40);
MANIFEST_MAP_HUMAN.set("Hookshot", 0x55);
MANIFEST_MAP_HUMAN.set("Fist.L", 0x17D);
MANIFEST_MAP_HUMAN.set("Fist.R", 0x188);
MANIFEST_MAP_HUMAN.set("FPS.Forearm.R", 0x2D);
MANIFEST_MAP_HUMAN.set("GFSword", 0x94);
MANIFEST_MAP_HUMAN.set("Hilt.1", 0xC4);
MANIFEST_MAP_HUMAN.set("Blade.1", 0xAD);
MANIFEST_MAP_HUMAN.set("Bottle.Content", 0xE2);
MANIFEST_MAP_HUMAN.set("Sheath.2", 0x10B);
MANIFEST_MAP_HUMAN.set("Sheath.3", 0x118);
MANIFEST_MAP_HUMAN.set("Bottle.Hand.L", 0x172);
MANIFEST_MAP_HUMAN.set("Bow.String", 0x64);
MANIFEST_MAP_HUMAN.set("Bow", 0x48);
MANIFEST_MAP_HUMAN.set("Blade.3", 0x7D);
MANIFEST_MAP_HUMAN.set("Bottle", 0xED);
MANIFEST_MAP_HUMAN.set("DekuStick", 0x126);
MANIFEST_MAP_HUMAN.set("Hilt.3", 0x88);
MANIFEST_MAP_HUMAN.set("Mask.Deity", 0x135);
MANIFEST_MAP_HUMAN.set("Mask.Deku", 0x143);
MANIFEST_MAP_HUMAN.set("Mask.Goron", 0x152);
MANIFEST_MAP_HUMAN.set("Mask.Zora", 0x160);
MANIFEST_MAP_HUMAN.set("Ocarina.2", 0x196);
MANIFEST_MAP_HUMAN.set("Shield.2", 0x71);
MANIFEST_MAP_HUMAN.set("Shield.3", 0xA1);
MANIFEST_MAP_HUMAN.set("Limb 1", 0x1A1);
MANIFEST_MAP_HUMAN.set("Limb 3", 0x1AC);
MANIFEST_MAP_HUMAN.set("Limb 4", 0x1B7);
MANIFEST_MAP_HUMAN.set("Limb 5", 0x1C2);
MANIFEST_MAP_HUMAN.set("Limb 6", 0x1CD);
MANIFEST_MAP_HUMAN.set("Limb 7", 0x1D8);
MANIFEST_MAP_HUMAN.set("Limb 8", 0x1E3);
MANIFEST_MAP_HUMAN.set("Limb 10", 0x1EF);
MANIFEST_MAP_HUMAN.set("Limb 11", 0x1FB);
MANIFEST_MAP_HUMAN.set("Limb 12", 0x207);
MANIFEST_MAP_HUMAN.set("Limb 13", 0x213);
MANIFEST_MAP_HUMAN.set("Limb 14", 0x21F);
MANIFEST_MAP_HUMAN.set("Limb 15", 0x22B);
MANIFEST_MAP_HUMAN.set("Limb 16", 0x237);
MANIFEST_MAP_HUMAN.set("Limb 17", 0x243);
MANIFEST_MAP_HUMAN.set("Limb 18", 0x24F);
MANIFEST_MAP_HUMAN.set("Limb 19", 0x25B);
MANIFEST_MAP_HUMAN.set("Limb 20", 0x267);
export const TRANSLATION_MAP_HUMAN: Map<string, string> = new Map<string, string>();
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_KOKIRI", "Sheath.1");
TRANSLATION_MAP_HUMAN.set("LUT_DL_FPS_HOOKSHOT", "FPS.Hookshot");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_RAZOR", "Hilt.2");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_RAZOR", "Blade.2");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HOOKSHOT_SPIKE", "Hookshot.Spike");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HOOKSHOT", "Hookshot");
TRANSLATION_MAP_HUMAN.set("LUT_DL_FPS_RIGHT_ARM", "FPS.Forearm.R");
TRANSLATION_MAP_HUMAN.set("LUT_DL_GFSWORD", "GFSword");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_KOKIRI", "Hilt.1");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_KOKIRI", "Blade.1");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BOTTLE_CONTENT", "Bottle.Content");
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_RAZOR", "Sheath.2");
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHEATH_GILDED", "Sheath.3");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BOW_STRING", "Bow.String");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BOW", "Bow");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BLADE_GILDED", "Blade.3");
TRANSLATION_MAP_HUMAN.set("LUT_DL_BOTTLE", "Bottle");
TRANSLATION_MAP_HUMAN.set("LUT_DL_DEKU_STICK", "DekuStick");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HILT_GILDED", "Hilt.3");
TRANSLATION_MAP_HUMAN.set("LUT_DL_DEITY_MASK", "Mask.Deity");
TRANSLATION_MAP_HUMAN.set("LUT_DL_DEKU_MASK", "Mask.Deku");
TRANSLATION_MAP_HUMAN.set("LUT_DL_GORON_MASK", "Mask.Goron");
TRANSLATION_MAP_HUMAN.set("LUT_DL_ZORA_MASK", "Mask.Zora");
TRANSLATION_MAP_HUMAN.set("LUT_DL_OCARINA_TIME", "Ocarina.2");
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_HERO", "Shield.2");
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR", "Shield.3");
TRANSLATION_MAP_HUMAN.set("LUT_DL_SHIELD_MIRROR_FACE", "Shield.3.Face");
TRANSLATION_MAP_HUMAN.set("LUT_DL_WAIST", "Limb 1");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RTHIGH", "Limb 3");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RSHIN", "Limb 4");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RFOOT", "Limb 5");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LTHIGH", "Limb 6");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LSHIN", "Limb 7");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LFOOT", "Limb 8");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HEAD", "Limb 10");
TRANSLATION_MAP_HUMAN.set("LUT_DL_HAT", "Limb 11");
TRANSLATION_MAP_HUMAN.set("LUT_DL_COLLAR", "Limb 12");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LSHOULDER", "Limb 13");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LFOREARM", "Limb 14");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RSHOULDER", "Limb 16");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RFOREARM", "Limb 17");
TRANSLATION_MAP_HUMAN.set("LUT_DL_TORSO", "Limb 20");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LHAND", "Limb 15");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LFIST", "Fist.L");
TRANSLATION_MAP_HUMAN.set("LUT_DL_LHAND_BOTTLE", "Bottle.Hand.L");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RHAND", "Limb 18");
TRANSLATION_MAP_HUMAN.set("LUT_DL_RFIST", "Fist.R");