/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import * as Z64API from '../../API/imports';
import IMemory from "modloader64_api/IMemory";
export declare class Photo extends JSONTemplate implements Z64API.MM.IPhoto {
    private emulator;
    private pictograph_photo_addr;
    private pictograph_spec_addr;
    private pictograph_quality_addr;
    private pictograph_unk_addr;
    private save;
    jsonFields: string[];
    constructor(emulator: IMemory, save: Z64API.MM.ISaveContext);
    get pictograph_photoChunk(): Buffer;
    set pictograph_photoChunk(buf: Buffer);
    get pictograph_spec(): number;
    set pictograph_spec(flag: number);
    get pictograph_quality(): number;
    set pictograph_quality(flag: number);
    get pictograph_unk(): number;
    set pictograph_unk(flag: number);
    get pictograph_used(): boolean;
    set pictograph_used(b: boolean);
}
//# sourceMappingURL=Photo.d.ts.map