import IMemory from 'modloader64_api/IMemory';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import * as Z64API from '../../API/imports';
export declare const enum BootsBitMap {
    KOKIRI = 3,
    IRON = 2,
    HOVER = 1
}
export declare class BootsEquipment extends JSONTemplate implements Z64API.OoT.IBoots {
    private emulator;
    private instance;
    private equipment_addr;
    jsonFields: string[];
    constructor(emulator: IMemory);
    get kokiriBoots(): boolean;
    set kokiriBoots(bool: boolean);
    get ironBoots(): boolean;
    set ironBoots(bool: boolean);
    get hoverBoots(): boolean;
    set hoverBoots(bool: boolean);
}
//# sourceMappingURL=BootsEquipment.d.ts.map