import IMemory from 'modloader64_api/IMemory';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import * as Z64API from '../../API/imports';
export declare class QuestStatus extends JSONTemplate implements Z64API.OoT.IQuestStatus {
    private emulator;
    private instance;
    private questFlags;
    private skulltulaAddr;
    private questFlagsAddr;
    jsonFields: string[];
    constructor(emu: IMemory);
    private gerudoMembershipCardFlag;
    get gerudoMembershipCard(): boolean;
    set gerudoMembershipCard(bool: boolean);
    private stoneOfAgonyFlag;
    get stoneOfAgony(): boolean;
    set stoneOfAgony(bool: boolean);
    private displayGoldSkulltulasFlag;
    get displayGoldSkulltulas(): boolean;
    set displayGoldSkulltulas(bool: boolean);
    get goldSkulltulas(): number;
    set goldSkulltulas(count: number);
    get heartPieces(): number;
    set heartPieces(count: number);
    private zeldaasLullabyFlag;
    get zeldasLullaby(): boolean;
    set zeldasLullaby(bool: boolean);
    private eponasSongFlag;
    get eponasSong(): boolean;
    set eponasSong(bool: boolean);
    private sariasSongFlag;
    get sariasSong(): boolean;
    set sariasSong(bool: boolean);
    private sunsSongFlag;
    get sunsSong(): boolean;
    set sunsSong(bool: boolean);
    private songOfTimeFlag;
    get songOfTime(): boolean;
    set songOfTime(bool: boolean);
    private songOfStormsFlag;
    get songOfStorms(): boolean;
    set songOfStorms(bool: boolean);
    private preludeOfLightFlag;
    get preludeOfLight(): boolean;
    set preludeOfLight(bool: boolean);
    private minuetOfForestFlag;
    get minuetOfForest(): boolean;
    set minuetOfForest(bool: boolean);
    private boleroOfFireFlag;
    get boleroOfFire(): boolean;
    set boleroOfFire(bool: boolean);
    private serenadeOfWaterFlag;
    get serenadeOfWater(): boolean;
    set serenadeOfWater(bool: boolean);
    private nocturneOfShadowFlag;
    get nocturneOfShadow(): boolean;
    set nocturneOfShadow(bool: boolean);
    private requiemOfSpiritFlag;
    get requiemOfSpirit(): boolean;
    set requiemOfSpirit(bool: boolean);
    private lightMedallionFlag;
    get lightMedallion(): boolean;
    set lightMedallion(bool: boolean);
    private forestMedallionFlag;
    get forestMedallion(): boolean;
    set forestMedallion(bool: boolean);
    private fireMedallionFlag;
    get fireMedallion(): boolean;
    set fireMedallion(bool: boolean);
    private waterMedallionFlag;
    get waterMedallion(): boolean;
    set waterMedallion(bool: boolean);
    private shadowMedallionFlag;
    get shadowMedallion(): boolean;
    set shadowMedallion(bool: boolean);
    private spiritMedallionFlag;
    get spiritMedallion(): boolean;
    set spiritMedallion(bool: boolean);
    private kokiriEmeraldFlag;
    get kokiriEmerald(): boolean;
    set kokiriEmerald(bool: boolean);
    private goronRubyFlag;
    get goronRuby(): boolean;
    set goronRuby(bool: boolean);
    private zoraSapphireFlag;
    get zoraSapphire(): boolean;
    set zoraSapphire(bool: boolean);
}
//# sourceMappingURL=QuestStatus.d.ts.map