import { IRotation } from './IRotation';
import { IPosition } from './IPosition';
import IMemory from 'modloader64_api/IMemory';
import { ActorCategory } from './ActorCategory';
export interface IActor extends IMemory {
    actorUUID: string;
    pointer: number;
    actorID: number;
    actorType: ActorCategory;
    isTransitionActor: boolean;
    room: number;
    renderingFlags: number;
    variable: number;
    objectTableIndex: number;
    soundEffect: number;
    rotation: IRotation;
    position: IPosition;
    health: number;
    redeadFreeze: number;
    destroy(): void;
    exists: boolean;
    homePos: IPosition;
    homeRot: IRotation;
}
//# sourceMappingURL=IActor.d.ts.map