/// <reference types="node" />
export interface IOptimized {
    zobj: Buffer;
    oldOffs2NewOffs: Map<number, number>;
}
export interface IOptimizeExtended extends IOptimized {
    textureOffsets: Map<number, number>;
    textureLengths: Map<number, number>;
    vertOffsets: Map<number, number>;
    vertLengths: Map<number, number>;
    mtxOffsets: Map<number, number>;
    mtxLength: Map<number, number>;
}
export declare function optimize(zobj: Buffer, displayListOffsets: number[], rebase?: number, segment?: number, removeDupData?: boolean): IOptimized;
//# sourceMappingURL=zzoptimize.d.ts.map