"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OOTDGB_GSEGMENTS = exports.OOTDBG_EQUIP_ADDR = exports.OOTDBG_DMAROM = exports.OOTDBG_PAUSED = exports.OOTDBG_PLAYER_RAWANIM = exports.OOTDBG_PLAYER_STATE2 = exports.OOTDBG_PLAYER_STATE = exports.OOTDBG_GUI_SHOWN = exports.OOTDBG_RESTRICTION_TABLE = exports.OOTDBG_ENTRANCE_TABLE = exports.OOTDBG_SCENE_TABLE = exports.OOTDBG_OVERLAY_TABLE = exports.OOTDBG_DUNGEON_ITEM_ADDR = exports.OOTDBG_ACTOR_POSITION_SIZE = exports.OOTDBG_ACTOR_POSITION_OFFSET = exports.OOTDBG_ACTOR_ROTATION_SIZE = exports.OOTDBG_ACTOR_ROTATION_OFFSET = exports.OOTDBG_GAME = exports.OOTDBG_PLAYER = exports.OOTDBG_SAVE = exports.OOTDBG_GLOBAL_PTR = exports.OOT_GSEGMENTS = exports.OOT_EQUIP_ADDR = exports.OOT_DMAROM = exports.OOT_PAUSED = exports.OOT_PLAYER_RAWANIM = exports.OOT_PLAYER_STATE2 = exports.OOT_PLAYER_STATE = exports.OOT_GUI_SHOWN = exports.OOT_RESTRICTION_TABLE = exports.OOT_ENTRANCE_TABLE = exports.OOT_SCENE_TABLE = exports.OOT_OVERLAY_TABLE = exports.OOT_DUNGEON_ITEM_ADDR = exports.OOT_ACTOR_POSITION_SIZE = exports.OOT_ACTOR_POSITION_OFFSET = exports.OOT_ACTOR_ROTATION_SIZE = exports.OOT_ACTOR_ROTATION_OFFSET = exports.OOT_GAME = exports.OOT_PLAYER = exports.OOT_SAVE = exports.OOT_GLOBAL_PTR = void 0;
const Z64LibSupportedGames_1 = require("../../../API/Utilities/Z64LibSupportedGames");
// OoT NTSC 1.0
exports.OOT_GLOBAL_PTR = 0x8011F248;
exports.OOT_SAVE = 0x8011A5D0;
exports.OOT_PLAYER = 0x801DAA30;
exports.OOT_GAME = Z64LibSupportedGames_1.Z64LibSupportedGames.OCARINA_OF_TIME;
exports.OOT_ACTOR_ROTATION_OFFSET = 0xb4;
exports.OOT_ACTOR_ROTATION_SIZE = 0x6;
exports.OOT_ACTOR_POSITION_OFFSET = 0x24;
exports.OOT_ACTOR_POSITION_SIZE = 0xc;
exports.OOT_DUNGEON_ITEM_ADDR = (exports.OOT_SAVE + 0xA8);
exports.OOT_OVERLAY_TABLE = 0x800e8530;
exports.OOT_SCENE_TABLE = 0x800FB4E0;
exports.OOT_ENTRANCE_TABLE = 0x800F9C90;
exports.OOT_RESTRICTION_TABLE = 0x800F7350;
exports.OOT_GUI_SHOWN = (exports.OOT_SAVE + 0xbe613);
exports.OOT_PLAYER_STATE = (exports.OOT_PLAYER + 0x066c);
exports.OOT_PLAYER_STATE2 = (exports.OOT_PLAYER + 0x0670);
exports.OOT_PLAYER_RAWANIM = (exports.OOT_PLAYER + 0x01F0);
exports.OOT_PAUSED = 0x801c6fa0;
exports.OOT_DMAROM = 0x00007430;
exports.OOT_EQUIP_ADDR = (exports.OOT_SAVE + 0x009c);
exports.OOT_GSEGMENTS = 0x80120C38;
// OoT Debug
exports.OOTDBG_GLOBAL_PTR = 0x80157da0;
exports.OOTDBG_SAVE = 0x8015e660;
exports.OOTDBG_PLAYER = 0x802245B0;
exports.OOTDBG_GAME = Z64LibSupportedGames_1.Z64LibSupportedGames.DEBUG_OF_TIME;
exports.OOTDBG_ACTOR_ROTATION_OFFSET = 0xb4;
exports.OOTDBG_ACTOR_ROTATION_SIZE = 0x6;
exports.OOTDBG_ACTOR_POSITION_OFFSET = 0x24;
exports.OOTDBG_ACTOR_POSITION_SIZE = 0xc;
exports.OOTDBG_DUNGEON_ITEM_ADDR = (exports.OOTDBG_SAVE + 0xA8);
exports.OOTDBG_OVERLAY_TABLE = 0x801162A0;
exports.OOTDBG_SCENE_TABLE = 0x800FB4E0;
exports.OOTDBG_ENTRANCE_TABLE = 0x800F9C90;
exports.OOTDBG_RESTRICTION_TABLE = 0x800F7350;
exports.OOTDBG_GUI_SHOWN = 0x801C4357;
exports.OOTDBG_PLAYER_STATE = (exports.OOTDBG_PLAYER + 0x067C);
exports.OOTDBG_PLAYER_STATE2 = (exports.OOTDBG_PLAYER + 0x0680);
exports.OOTDBG_PLAYER_RAWANIM = (exports.OOTDBG_PLAYER + 0x0200);
exports.OOTDBG_PAUSED = (0x80166600);
exports.OOTDBG_DMAROM = (0x00012F70);
exports.OOTDBG_EQUIP_ADDR = (exports.OOTDBG_SAVE + 0x009c);
exports.OOTDGB_GSEGMENTS = 0x80166FA8;
//# sourceMappingURL=OotAliases.js.map