import * as Z64API from '../../API/imports';
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import IMemory from "modloader64_api/IMemory";
export declare class MMHelper extends JSONTemplate implements Z64API.MM.IMMHelper {
    private save;
    private global;
    private link;
    private emu;
    private fadeHelper;
    constructor(save: Z64API.MM.ISaveContext, global: Z64API.MM.IGlobalContext, link: Z64API.Z64.ILink, memory: IMemory);
    isFadeIn(): boolean;
    Player_InBlockingCsMode(): boolean;
    isLinkEnteringLoadingZone(): boolean;
    isTitleScreen(): boolean;
    isSceneNumberValid(): boolean;
    isPaused(): boolean;
    isInterfaceShown(): boolean;
}
//# sourceMappingURL=MMHelper.d.ts.map