"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skull = void 0;
const JSONTemplate_1 = require("modloader64_api/JSONTemplate");
class Skull extends JSONTemplate_1.JSONTemplate {
    emulator;
    swamp_skulltula = 0x801F0530; //0x2
    bay_skulltula = 0x801F0532; //0x2
    jsonFields = [
        'swampSkulltula',
        'baySkulltula'
    ];
    constructor(emulator) {
        super();
        this.emulator = emulator;
    }
    get swampSkulltula() {
        return this.emulator.rdramRead16(this.swamp_skulltula);
    }
    set swampSkulltula(flag) {
        this.emulator.rdramWrite16(this.swamp_skulltula, flag);
    }
    get baySkulltula() {
        return this.emulator.rdramRead16(this.bay_skulltula);
    }
    set baySkulltula(flag) {
        this.emulator.rdramWrite16(this.bay_skulltula, flag);
    }
}
exports.Skull = Skull;
//# sourceMappingURL=Skull.js.map