import IMemory from 'modloader64_api/IMemory';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import * as Z64API from '../../API/imports';
export declare const enum TunicBitMap {
    KOKIRI = 7,
    GORON = 6,
    ZORA = 5
}
export declare class TunicsEquipment extends JSONTemplate implements Z64API.OoT.ITunics {
    private emulator;
    private instance;
    private equipment_addr;
    jsonFields: string[];
    constructor(emulator: IMemory);
    get kokiriTunic(): boolean;
    set kokiriTunic(bool: boolean);
    get goronTunic(): boolean;
    set goronTunic(bool: boolean);
    get zoraTunic(): boolean;
    set zoraTunic(bool: boolean);
}
//# sourceMappingURL=TunicsEquipment.d.ts.map